<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format"    
xmlns:msxsl="urn:schemas-microsoft-com:xslt" 
xmlns:object="http://wwwmgs.bionet.nsc.ru/genenamespace">

  <msxsl:script language="JScript" implements-prefix="object"><![CDATA[
	function deleteLink(nodelist)
	{
		var link = nodelist.nextNode();
		return deleteLink2(link);
	}

	function deleteLink2(m_link)
	{
  		var nl = m_link.ownerDocument.documentElement.selectNodes("//filter");
		
		for( j=0; j < nl.length; j++)
		{
		    var filterEl  = nl.item(j);
		    var filterID = filterEl.getAttribute("id");
		    
		    var linkID = m_link.getAttribute("id");

		    var pLink = m_link.selectSingleNode("//pathway[@id='"+filterID +"']/pathway_link[@id='"+linkID+"']");
		    
		    if(pLink)
		    {
		    	return "true";
		    }		    		    
		}
		return "false";
		
	}
	  	
]]></msxsl:script>
  
	<xsl:template match="/diagram">
		<xsl:copy>
			<xsl:apply-templates select="@*"/>
			<xsl:apply-templates select="name|ac|color|bordercolor|expanded|x|y|nm|dt|width|height|r"/>
			<xsl:apply-templates select="objects"/>
			<xsl:apply-templates select="links"/>
		</xsl:copy>
	</xsl:template>
	<xsl:template match="compartment">
		<xsl:copy>
			<xsl:apply-templates select="@*"/>
			<xsl:apply-templates select="color|bordercolor|x|y|nm|dt|width|height|r|ac|cc|CC|ref"/>
			<xsl:for-each select="object">
				<xsl:copy>
					<xsl:apply-templates select="@*"/>
					<xsl:apply-templates select="ac|dt"/>
				</xsl:copy>
			</xsl:for-each>
			<xsl:apply-templates select="objects"/>
		</xsl:copy>
	</xsl:template>
	<xsl:template match="objects">
		<xsl:copy>
			<xsl:apply-templates select="@*"/>
			<xsl:apply-templates select="compartment|substance|process|gene|rna|protein|reaction"/>
		</xsl:copy>
	</xsl:template>
	<xsl:template match="substance|gene|rna|protein|process|reaction">
		<xsl:copy-of select="."/>
	</xsl:template>
	<xsl:template match="width|height|ac|color|bordercolor|expanded|x|y|nm|dt|name|r|cc|CC">
		<xsl:copy>
			<xsl:apply-templates select="text()"/>
		</xsl:copy>
	</xsl:template>
	<xsl:template match="links">
	    
		<xsl:copy>
			<xsl:apply-templates select="link[@sourceoid]"/>
			<xsl:apply-templates select="link[@targetoid]"/>
			<xsl:apply-templates select="link[not(@targetoid) and not(@sourceoid)]"/>
		</xsl:copy>
	</xsl:template>
	<xsl:template match="link">
		<xsl:choose>
			<xsl:when test="object:deleteLink(.) = 'false'">
				<link><xsl:copy-of select="@*"/><xsl:attribute name="filtered">true</xsl:attribute></link>
			</xsl:when>
			<xsl:otherwise><xsl:copy-of select="."/></xsl:otherwise>
		</xsl:choose>
	</xsl:template>	
	<xsl:template match="ref">
		<xsl:copy-of select="."/>
	</xsl:template>
	<xsl:template match="@*">
		<xsl:copy/>
	</xsl:template>
	<xsl:template match="text()">
		<xsl:copy/>
	</xsl:template>
</xsl:stylesheet>
