<xsl:stylesheet 	xmlns:xsl="http://www.w3.org/1999/XSL/Transform" 
                	xmlns:msxsl="urn:schemas-microsoft-com:xslt" 
	             	xmlns:protein="http://wwwmgs.bionet.nsc.ru/proteinnamespace"
	             	xmlns:substance="http://wwwmgs.bionet.nsc.ru/substancenamespace"
	             	xmlns:gene="http://wwwmgs.bionet.nsc.ru/genenamespace"
	             	xmlns:rna="http://wwwmgs.bionet.nsc.ru/rnanamespace"
  	           		xmlns:reaction="http://wwwmgs.bionet.nsc.ru/reactionnamespace"
             version="1.0">

  <msxsl:script language="JScript" implements-prefix="substance">
    function NM(nodelist) 
      {
      node = nodelist.nextNode();
      
      var name = "";

      // взять короткое имя 
      sn = node.selectSingleNode("object/sn");
      if (sn)
        name = sn.text;

	diagram = node.selectSingleNode("connect");
	if(diagram)
	{
	    name += "\n" +"[ from: "+diagram.text+"]";
	}

	
      return name;
      }
  
  </msxsl:script>

            
  <msxsl:script language="JScript" implements-prefix="gene">
    function NM(nodelist) 
      {
      group = nodelist.nextNode();
      
      var name = "";

      Objects = group.selectNodes("object"); 	

      for (l = 0; l &lt; Objects.length; l++)
      {
        node = Objects.item(l);
        var cnm = "";
      // взять короткое имя протеина 
      sn = node.selectSingleNode("sn");

      if(sn)
        {
        cnm = sn.text;
        }
      else
        {
        // короткое имя не определено - добавим полное
        nm = node.selectSingleNode("nm");
        if (nm)
          cnm = nm.text;
        }
        
	if(l > 0)
	{
	    name += ",";	    	    
	}
	
	name += cnm;
    }

        diagram = group.selectSingleNode("connect");
        if(diagram)
        {
            name += "\n" +"[ from: "+diagram.text+"]";
        }
				    
      return name;
        }
  
  </msxsl:script>

  <msxsl:script language="JScript" implements-prefix="protein">
    <!-- определение цвета в зависимости от Functional state (поле fn) протеина -->
    
    
    function NM(nodelist) 
      {
      group = nodelist.nextNode();
      
      var name = "";

      Objects = group.selectNodes("object"); 	

      for (l = 0; l &lt; Objects.length; l++)
      {
        node = Objects.item(l);
        var cnm = "";
      // взять короткое имя протеина 
      sn = node.selectSingleNode("sn");
      SN = node.selectSingleNode("SN");

      if (SN)
        cnm = SN.text;
      else  if(sn)
        {
        cnm = sn.text;
        }
      else
        {
        // короткое имя не определено - добавим полное
        nm = node.selectSingleNode("nm");
        if (nm)
          cnm = nm.text;
        }
        
	if(l > 0)
	{
	    name += ",";	    	    
	}
	
	name += cnm;
    }

        diagram = group.selectSingleNode("connect");
        if(diagram)
        {
            name += "\n" +"[ from: "+diagram.text+"]";
        }
				    
      return name;
        }
    function FN(nodelist) 
      {
      fn = nodelist.nextNode().selectSingleNode("object/fn");
      
      if (fn)
        {
        if (fn.text == "active")
          return "crimson"
        else if (fn.text == "inactive")
          return "forestgreen"
        }
  
      return "sandybrown"
        }

  
  </msxsl:script>



  <msxsl:script language="JScript" implements-prefix="rna">
    function NM(nodelist) 
      {
      group = nodelist.nextNode();
      
      var name = "";

      Objects = group.selectNodes("object"); 	

      for (l = 0; l &lt; Objects.length; l++)
      {
        node = Objects.item(l);
        var cnm = "";
      // взять короткое имя протеина 
      sn = node.selectSingleNode("sn");

      if(sn)
        {
        cnm = sn.text;
        }
      else
        {
        // короткое имя не определено - добавим полное
        nm = node.selectSingleNode("nm");
        if (nm)
          cnm = nm.text;
        }
        
	if(l > 0)
	{
	    name += ",";	    	    
	}
	
	name += cnm;
    }

        diagram = group.selectSingleNode("connect");
        if(diagram)
        {
            name += "\n" +"[ from: "+diagram.text+"]";
        }
				    
      return name;
        }
  
  </msxsl:script>

  <msxsl:script language="JScript" implements-prefix="reaction">
    <!-- определение цвета в зависимости от поля AT реакции -->
  
    <!-- определение цвета в зависимости от поля EF реакции -->
    function EF(nodelist) 
      {
      ef = nodelist.nextNode().selectSingleNode("object/ef");
      if (ef)
        {
        if (ef.text == "direct")
          return "yellow"
        else if (ef.text == "indirect")
          return "green"
        }
  
      return "black"
        }
    function AT(nodelist) 
      {
      at = nodelist.nextNode().selectSingleNode("object/at");
      if (at)
        {
        if (at.text == "on" || at.text == "switch on")
          return "red"
        else if (at.text == "off" || at.text == "switch off")
          return "black"
        else if (at.text == "increase")
          return "hotpink"
        else if (at.text == "decrease")
          return "blue"
        }
  
      return "seagreen"
        }
    
     function Width(nodelist) 
      {
      ef = nodelist.nextNode().selectSingleNode("object/ef");
      if (ef)
        {
        if (ef.text == "direct")
          return "2.0"
        else if (ef.text == "indirect")
          return "1.0"
        }
  
      return "1.0"
       }
       
    function BWidth(nodelist)
     {
        subschema = nodelist.nextNode().selectSingleNode("subschema");
	if (subschema)
	{
	    return "3.0"
	}
				    
	 return "1.0"
     }       

     function Dash(nodelist) 
      {
      ef = nodelist.nextNode().selectSingleNode("object/ef");
      if (ef)
        {
        if (ef.text == "direct")
          return "0"
        else if (ef.text == "indirect")
          return "1"
        }
  
      return "0"
       }
    function Type(nodelist) 
      {
      at = nodelist.nextNode().selectSingleNode("object/at");
      if (at)
        {
        if (at.text == "on" || at.text == "switch on")
          return "1"
        else if (at.text == "off" || at.text == "switch off")
          return "2"
        else if (at.text == "increase")
          return "1"
        else if (at.text == "decrease")
          return "3"
        }
  
      return "1"
        }
  
  </msxsl:script>
    
  <xsl:template match="/">
    <!--    Мольберт - пока обладает только одним свойством - цветом подложки   -->
    <canvas style="fill-color:white">
    <xsl:apply-templates select="/diagram"/> <!-- обработать схему -->
    </canvas>
  </xsl:template>
  
  <xsl:template match="diagram">
    <!--    Cхемa    -->
    <diagram editstyle="edit:no;resize:yes;move:yes;rotate:no"> 
      <!-- атрибуты схемы -->
      <xsl:attribute name="id"><xsl:value-of select="@id"/></xsl:attribute>
      <xsl:attribute name="name"><xsl:value-of select="name"/></xsl:attribute>
      <!-- преобразование типа -->
      <xsl:attribute name="type">
        <xsl:choose>
          <xsl:when test="nm[.='oval']">ellipse</xsl:when>
          <xsl:when test="nm[.='rounded_rect']">roundedrect</xsl:when>
          <xsl:otherwise>rect</xsl:otherwise>
        </xsl:choose>
      </xsl:attribute>

      <xsl:attribute name="x"><xsl:value-of select="x"/></xsl:attribute>
      <xsl:attribute name="y"><xsl:value-of select="y"/></xsl:attribute>
      <xsl:attribute name="r"><xsl:value-of select="r"/></xsl:attribute>
      <xsl:attribute name="width"><xsl:value-of select="width"/></xsl:attribute>
      <xsl:attribute name="height"><xsl:value-of select="height"/></xsl:attribute>
      <xsl:attribute name="style"><xsl:if test="color">fill-color:<xsl:value-of select="color"/>;</xsl:if><xsl:if test="bordercolor">border-color:<xsl:value-of select="bordercolor"/>;</xsl:if>border-width:0;</xsl:attribute>
      
      <!-- название схемы -->
      <xsl:if test="ac">
        <title >
          <xsl:attribute name="id"><xsl:value-of select="generate-id(current())"/></xsl:attribute>
          <xsl:attribute name="string"><xsl:value-of select="ac"/></xsl:attribute>

          <!-- атрибуты текста не зависят ни от чего -->
          <xsl:attribute name="style">font-face:Arial;font-size:10;font-bold:yes;font-italic:no;font-underline:no;font-color:black;alignment:center</xsl:attribute>
          <xsl:attribute name="editstyle">edit:no;resize:no;move:no;rotate:no</xsl:attribute>

          <!-- положение строки определяется "программно" относительно нижнего края схемы -->
        </title>
      </xsl:if>
      
			<xsl:apply-templates select="objects/compartment" /> <!-- обработать все вложенные компартменты -->
			<xsl:apply-templates select="objects/protein" /> <!-- обработать все вложенные протеины -->
			<xsl:apply-templates select="objects/gene" /> <!-- обработать все вложенные гены -->
			<xsl:apply-templates select="objects/operon" /> <!-- обработать все вложенные гены -->
			<xsl:apply-templates select="objects/rna" /> <!-- обработать все вложенные RNA -->
			<xsl:apply-templates select="objects/substance" /> <!-- обработать все вложенные субстанции -->
			<xsl:apply-templates select="objects/process" /> <!-- обработать все вложенные процессы -->
			<xsl:apply-templates select="objects/reaction" /> <!-- обработать все вложенные реакции -->
     	
			<xsl:apply-templates select="links" /> <!-- обработать все связи -->

    	</diagram>
  </xsl:template>
  
<!-- СВЯЗИ ================================================================================  -->
  <xsl:template match="links">
    <links>
      <xsl:apply-templates select="link" /> <!-- обработать все единичные связи -->
    </links>
  </xsl:template>
  
<!-- СВЯЗЬ ================================================================================  -->
  <xsl:template match="link">
    <link editstyle="edit:no;resize:no;move:no;rotate:no">
      

	<xsl:choose>
	    <xsl:when test="@filtered">
		<xsl:attribute name="style">
		    <xsl:choose>
			<xsl:when test="name(//reaction[@id=current()/@source])='reaction'">
				<xsl:value-of select="concat('color:white;width:', reaction:Width(//reaction[@id=current()/@source]),';dashstyle:', reaction:Dash(//reaction[@id=current()/@source]))"/>		
			</xsl:when>
          		<xsl:otherwise>
				<xsl:value-of select="concat('color:white;width:', reaction:Width(//reaction[@id=current()/@target]),';dashstyle:', reaction:Dash(//reaction[@id=current()/@target]))"/>
			</xsl:otherwise>
        	    </xsl:choose>
    		</xsl:attribute> 
	    	    	    
	    </xsl:when>
    	    <xsl:otherwise>
		<xsl:attribute name="style">
		    <xsl:choose>
			<xsl:when test="name(//reaction[@id=current()/@source])='reaction'">
				<xsl:value-of select="concat('color:',reaction:AT(//reaction[@id=current()/@source]),';width:', reaction:Width(//reaction[@id=current()/@source]),';dashstyle:', reaction:Dash(//reaction[@id=current()/@source]))"/>		
			</xsl:when>
          		<xsl:otherwise>
				<xsl:value-of select="concat('color:',reaction:AT(//reaction[@id=current()/@target]),';width:', reaction:Width(//reaction[@id=current()/@target]),';dashstyle:', reaction:Dash(//reaction[@id=current()/@target]))"/>
			</xsl:otherwise>
        	    </xsl:choose>
    		</xsl:attribute> 
	    </xsl:otherwise>
    	</xsl:choose>

	<xsl:attribute name="type">
		<xsl:choose>
			<xsl:when test="name(//reaction[@id=current()/@source])='reaction'">
				<xsl:value-of select="reaction:Type(//reaction[@id=current()/@source])"/>		
			</xsl:when>
          		<xsl:otherwise>
				<xsl:value-of select="0"/>		
			</xsl:otherwise>
        	</xsl:choose>
        </xsl:attribute> 

      <!-- id формируется из id связываемых объектов -->
      <xsl:attribute name="id">L_<xsl:value-of select="@source"/>_<xsl:value-of select="@target"/></xsl:attribute>
      
      <source>
        <xsl:attribute name="id"><xsl:value-of select="@source"/></xsl:attribute>
      </source>

      <target>
        <xsl:attribute name="id"><xsl:value-of select="@target"/></xsl:attribute>
      </target>
      
    </link>
  </xsl:template>
  
<!-- КОМПАРТМЕНТ ==========================================================================  -->
  <xsl:template match="compartment">
    <compartment editstyle="edit:no;resize:yes;move:yes;rotate:no">
      <!-- id просто переписываeтся -->
      <xsl:attribute name="id"><xsl:value-of select="@id"/></xsl:attribute>
      <!-- преобразование типа -->
      <xsl:attribute name="type">
        <xsl:choose>
          <xsl:when test="nm[.='oval']">ellipse</xsl:when>
	  <xsl:when test="nm[.='rounded_rect']">roundedrect</xsl:when>
          <xsl:otherwise>rect</xsl:otherwise>
        </xsl:choose>
      </xsl:attribute>
      
      <!-- размещение на схеме -->
      <xsl:attribute name="x"><xsl:value-of select="x"/></xsl:attribute>
      <xsl:attribute name="y"><xsl:value-of select="y"/></xsl:attribute>
      <xsl:attribute name="width"><xsl:value-of select="width"/></xsl:attribute>
      <xsl:attribute name="height"><xsl:value-of select="height"/></xsl:attribute>
      <!-- если это roundedrect, то нужно задать радиос закругления! --> 
      <xsl:if test="nm[.='rounded_rect']">
        <xsl:attribute name="r"><xsl:value-of select="r"/></xsl:attribute>
      </xsl:if>
      
      <!-- стиль (цвет подложки и границы) -->
      <xsl:attribute name="style">
        <xsl:choose>
          <xsl:when test="color">fill-color:<xsl:value-of select="color"/>;</xsl:when>
          <xsl:otherwise>fill-color:aqua;</xsl:otherwise>
        </xsl:choose>
        <xsl:choose>
          <xsl:when test="bordercolor">border-color:<xsl:value-of select="bordercolor"/>;</xsl:when>
          <xsl:otherwise>border-color:black;</xsl:otherwise>
        </xsl:choose>border-width:0;
      </xsl:attribute>
      
      <!-- название компартмента (если есть) -->
      <xsl:if test="object/ac">
        <title >
          <xsl:attribute name="id"><xsl:value-of select="generate-id(current())"/></xsl:attribute>
          <xsl:attribute name="string"><xsl:value-of select="object/ac"/></xsl:attribute>

          <!-- атрибуты текста не зависят ни от чего -->
          <xsl:attribute name="style">font-face:Arial;font-size:10;font-bold:yes;font-italic:no;font-underline:no;font-color:MidnightBlue;alignment:center;</xsl:attribute>
          <xsl:attribute name="editstyle">edit:no;resize:no;move:no;rotate:no</xsl:attribute>

          <!-- положение строки определяется "программно" относительно нижнего края компартмента -->
        </title>
      </xsl:if>
      
			<xsl:apply-templates select="objects/compartment" /> <!-- обработать все вложенные компартменты -->
			<xsl:apply-templates select="objects/protein" /> <!-- обработать все вложенные протеины -->
			<xsl:apply-templates select="objects/gene" /> <!-- обработать все вложенные гены -->
			<xsl:apply-templates select="objects/rna" /> <!-- обработать все вложенные RNA -->
			<xsl:apply-templates select="objects/operon" /> <!-- обработать все вложенные гены -->
			<xsl:apply-templates select="objects/substance" /> <!-- обработать все вложенные субстанции -->
			<xsl:apply-templates select="objects/process" /> <!-- обработать все вложенные процессы -->
			<xsl:apply-templates select="objects/reaction" /> <!-- обработать все вложенные реакции -->
    
    	</compartment>
  </xsl:template>


<!-- ПРОЦЕСС ==========================================================================  -->
  <xsl:template match="process"> <!-- процесс превращается в текст с рамкой --> 
    <text editstyle="edit:no;resize:no;move:yes;rotate:no">
      <xsl:attribute name="id"><xsl:value-of select="@id"/></xsl:attribute>

      <!-- название -->
      <xsl:attribute name="string"><xsl:value-of select="object/nm"/></xsl:attribute>

      <!-- размещение на схеме -->
      <xsl:attribute name="x"><xsl:value-of select="x"/></xsl:attribute>
      <xsl:attribute name="y"><xsl:value-of select="y"/></xsl:attribute>

      <!-- стиль (фонт,цвет букв, подложки и границы) -->
      <xsl:attribute name="style">font-face:Arial;font-size:10;font-bold:no;font-italic:no;font-underline:no;font-color:black;alignment:center;border-color:blue;border-width:0;border-gap:2</xsl:attribute>
      
    </text>
  </xsl:template>

<!-- РЕАКЦИЯ ==========================================================================  -->
  <xsl:template match="reaction"> <!-- реакция превращается в круг с цветом, зависящим от параметров--> 
    <group editstyle="edit:no;resize:no;move:yes;rotate:no">
        <xsl:attribute name="id"><xsl:value-of select="@id"/></xsl:attribute>
	
        <xsl:attribute name="x"><xsl:value-of select="x"/></xsl:attribute>
        <xsl:attribute name="y"><xsl:value-of select="y"/></xsl:attribute>

    <xsl:if test="subschema">

	<ellipse editstyle="edit:no;resize:no;move:yes;rotate:no">
	    <xsl:attribute name="id">r0_<xsl:value-of select="generate-id(current())"/></xsl:attribute>
	  
	    <xsl:attribute name="x">-2</xsl:attribute>
	    <xsl:attribute name="y">-2</xsl:attribute>
	    <xsl:attribute name="width">10</xsl:attribute>
	    <xsl:attribute name="height">10</xsl:attribute>
					
	    <xsl:attribute name="style">border-width:0.0;border-color:red;fill-color:red</xsl:attribute>
						    
	</ellipse>
							
	<text editstyle="edit:no;resize:no;move:yes;rotate:no">
	    <xsl:attribute name="id">t_<xsl:value-of select="generate-id(current())"/></xsl:attribute>
				
	    <xsl:attribute name="string">subschema</xsl:attribute>
	    <xsl:attribute name="x">6</xsl:attribute>
	    <xsl:attribute name="y">10</xsl:attribute>
	    <xsl:attribute name="style">font-face:Arial;font-size:10;font-bold:no;font-italic:no;font-underline:no;font-color:red;alignment:center;</xsl:attribute>
	</text>
    </xsl:if>

    <ellipse editstyle="edit:no;resize:no;move:yes;rotate:no">
	<xsl:attribute name="id">r1_<xsl:value-of select="generate-id(current())"/></xsl:attribute>
      
	<xsl:attribute name="x">0</xsl:attribute>
	<xsl:attribute name="y">0</xsl:attribute>
	<xsl:attribute name="width">7</xsl:attribute>
	<xsl:attribute name="height">7</xsl:attribute>
				    
	<xsl:attribute name="style">border-width:1.0;border-color:<xsl:value-of select="reaction:EF(.)"/>;fill-color:<xsl:value-of select="reaction:AT(.)"/></xsl:attribute>
					
    </ellipse>
						    
						    
    </group>  
  </xsl:template>


<!-- ГЕН ==========================================================================  -->
  	<xsl:template match="gene"> 
		<group editstyle="edit:no;resize:no;move:yes;rotate:no">
	     <xsl:attribute name="id"><xsl:value-of select="@id"/></xsl:attribute>
    	
			<!-- размещение на схеме -->
	     <xsl:attribute name="x"><xsl:value-of select="x"/></xsl:attribute>
	     <xsl:attribute name="y"><xsl:value-of select="y"/></xsl:attribute>
	      
	     <!-- картинка -->
			<segment editstyle="edit:no;resize:no;move:yes;rotate:no">
		     <xsl:attribute name="id">s0_<xsl:value-of select="generate-id(current())"/></xsl:attribute>
		     <xsl:attribute name="x1">-2</xsl:attribute>
		     <xsl:attribute name="y1">18</xsl:attribute>
		     <xsl:attribute name="x2">38</xsl:attribute>
		     <xsl:attribute name="y2">18</xsl:attribute>
	       	<xsl:attribute name="style">width:0;color:black</xsl:attribute>
			</segment>
			
			<segment editstyle="edit:no;resize:no;move:yes;rotate:no">
		     <xsl:attribute name="id">s1_<xsl:value-of select="generate-id(current())"/></xsl:attribute>
		     <xsl:attribute name="x1">18</xsl:attribute>
		     <xsl:attribute name="y1">18</xsl:attribute>
		     <xsl:attribute name="x2">18</xsl:attribute>
		     <xsl:attribute name="y2">2</xsl:attribute>
		     <xsl:attribute name="style">width:0;color:black</xsl:attribute>
			</segment>

			<segment editstyle="edit:no;resize:no;move:yes;rotate:no">
		     <xsl:attribute name="id">s2_<xsl:value-of select="generate-id(current())"/></xsl:attribute>
		     <xsl:attribute name="x1">18</xsl:attribute>
		     <xsl:attribute name="y1">2</xsl:attribute>
		     <xsl:attribute name="x2">32</xsl:attribute>
		     <xsl:attribute name="y2">2</xsl:attribute>
	      	<xsl:attribute name="style">width:0;color:black</xsl:attribute>
			</segment>
			
			<segment editstyle="edit:no;resize:no;move:yes;rotate:no">
		     <xsl:attribute name="id">s3_<xsl:value-of select="generate-id(current())"/></xsl:attribute>
		     <xsl:attribute name="x1">26</xsl:attribute>
		     <xsl:attribute name="y1">-2</xsl:attribute>
		     <xsl:attribute name="x2">32</xsl:attribute>
		     <xsl:attribute name="y2">2</xsl:attribute>
	      	<xsl:attribute name="style">width:0;color:black</xsl:attribute>
			</segment>

			<segment editstyle="edit:no;resize:no;move:yes;rotate:no">
		     <xsl:attribute name="id">s4_<xsl:value-of select="generate-id(current())"/></xsl:attribute>
		     <xsl:attribute name="x1">26</xsl:attribute>
		     <xsl:attribute name="y1">6</xsl:attribute>
		     <xsl:attribute name="x2">32</xsl:attribute>
		     <xsl:attribute name="y2">2</xsl:attribute>
	      	<xsl:attribute name="style">width:0;color:black</xsl:attribute>
			</segment>
			
	    	<rect editstyle="edit:no;resize:no;move:yes;rotate:no">
		     <xsl:attribute name="id">r_<xsl:value-of select="generate-id(current())"/></xsl:attribute>
		
		     <!-- размещение на схеме -->
		     <xsl:attribute name="x">4</xsl:attribute>
		     <xsl:attribute name="y">12</xsl:attribute>
		     <xsl:attribute name="width">28</xsl:attribute>
		     <xsl:attribute name="height">12</xsl:attribute>
		      
		      <!-- цвет фона и границы -->
		      <xsl:attribute name="style">border-width:0;border-color:black;fill-color:darkgoldenrod</xsl:attribute>
	    	</rect>

      	<!-- подпись --> 
      	<text editstyle="edit:no;resize:no;move:yes;rotate:no">
       		<xsl:attribute name="id">t_<xsl:value-of select="generate-id(current())"/></xsl:attribute>
  
        	<!-- название -->
        	<xsl:attribute name="string"><xsl:value-of select="gene:NM(.)"/></xsl:attribute>
  
	       	<!-- размещение на схеме (относительно координат группы) -->
        	<xsl:attribute name="x">18</xsl:attribute>
        	<xsl:attribute name="y">28</xsl:attribute>
  
        	<!-- стиль (фонт,цвет букв, подложки и границы) -->
        	<xsl:attribute name="style">font-face:Arial;font-size:10;font-bold:no;font-italic:no;font-underline:no;font-color:black;alignment:center;</xsl:attribute>
      	</text>
      
		</group>
  	</xsl:template>
<!-- ОПЕРОН ==========================================================================  -->
  	<xsl:template match="operon"> 
		<group editstyle="edit:no;resize:no;move:yes;rotate:no">
	     <xsl:attribute name="id"><xsl:value-of select="@id"/></xsl:attribute>
    	
			<!-- размещение на схеме -->
	     <xsl:attribute name="x"><xsl:value-of select="x"/></xsl:attribute>
	     <xsl:attribute name="y"><xsl:value-of select="y"/></xsl:attribute>
	      
	     <!-- картинка -->
			<segment editstyle="edit:no;resize:no;move:yes;rotate:no">
		     <xsl:attribute name="id">s0_<xsl:value-of select="generate-id(current())"/></xsl:attribute>
		     <xsl:attribute name="x1">-4</xsl:attribute>
		     <xsl:attribute name="y1">18</xsl:attribute>
		     <xsl:attribute name="x2">40</xsl:attribute>
		     <xsl:attribute name="y2">18</xsl:attribute>
	       	<xsl:attribute name="style">width:0;color:black</xsl:attribute>
			</segment>
			
			<segment editstyle="edit:no;resize:no;move:yes;rotate:no">
		     <xsl:attribute name="id">s1_<xsl:value-of select="generate-id(current())"/></xsl:attribute>
		     <xsl:attribute name="x1">8</xsl:attribute>
		     <xsl:attribute name="y1">18</xsl:attribute>
		     <xsl:attribute name="x2">8</xsl:attribute>
		     <xsl:attribute name="y2">2</xsl:attribute>
		     <xsl:attribute name="style">width:0;color:black</xsl:attribute>
			</segment>

			<segment editstyle="edit:no;resize:no;move:yes;rotate:no">
		     <xsl:attribute name="id">s2_<xsl:value-of select="generate-id(current())"/></xsl:attribute>
		     <xsl:attribute name="x1">8</xsl:attribute>
		     <xsl:attribute name="y1">2</xsl:attribute>
		     <xsl:attribute name="x2">20</xsl:attribute>
		     <xsl:attribute name="y2">2</xsl:attribute>
	      	<xsl:attribute name="style">width:0;color:black</xsl:attribute>
			</segment>
			
			<segment editstyle="edit:no;resize:no;move:yes;rotate:no">
		     <xsl:attribute name="id">s3_<xsl:value-of select="generate-id(current())"/></xsl:attribute>
		     <xsl:attribute name="x1">16</xsl:attribute>
		     <xsl:attribute name="y1">-2</xsl:attribute>
		     <xsl:attribute name="x2">20</xsl:attribute>
		     <xsl:attribute name="y2">2</xsl:attribute>
	      	<xsl:attribute name="style">width:0;color:black</xsl:attribute>
			</segment>

			<segment editstyle="edit:no;resize:no;move:yes;rotate:no">
		     <xsl:attribute name="id">s4_<xsl:value-of select="generate-id(current())"/></xsl:attribute>
		     <xsl:attribute name="x1">16</xsl:attribute>
		     <xsl:attribute name="y1">6</xsl:attribute>
		     <xsl:attribute name="x2">20</xsl:attribute>
		     <xsl:attribute name="y2">2</xsl:attribute>
	      	<xsl:attribute name="style">width:0;color:black</xsl:attribute>
			</segment>

<!--  /// -->
			<segment editstyle="edit:no;resize:no;move:yes;rotate:no">
		     <xsl:attribute name="id">s5_<xsl:value-of select="generate-id(current())"/></xsl:attribute>
		     <xsl:attribute name="x1">22</xsl:attribute>
		     <xsl:attribute name="y1">18</xsl:attribute>
		     <xsl:attribute name="x2">22</xsl:attribute>
		     <xsl:attribute name="y2">2</xsl:attribute>
		     <xsl:attribute name="style">width:0;color:black</xsl:attribute>
			</segment>

			<segment editstyle="edit:no;resize:no;move:yes;rotate:no">
		     <xsl:attribute name="id">s6_<xsl:value-of select="generate-id(current())"/></xsl:attribute>
		     <xsl:attribute name="x1">22</xsl:attribute>
		     <xsl:attribute name="y1">2</xsl:attribute>
		     <xsl:attribute name="x2">34</xsl:attribute>
		     <xsl:attribute name="y2">2</xsl:attribute>
	      	<xsl:attribute name="style">width:0;color:black</xsl:attribute>
			</segment>
			
			<segment editstyle="edit:no;resize:no;move:yes;rotate:no">
		     <xsl:attribute name="id">s7_<xsl:value-of select="generate-id(current())"/></xsl:attribute>
		     <xsl:attribute name="x1">30</xsl:attribute>
		     <xsl:attribute name="y1">-2</xsl:attribute>
		     <xsl:attribute name="x2">34</xsl:attribute>
		     <xsl:attribute name="y2">2</xsl:attribute>
	      	<xsl:attribute name="style">width:0;color:black</xsl:attribute>
			</segment>

			<segment editstyle="edit:no;resize:no;move:yes;rotate:no">
		     <xsl:attribute name="id">s8_<xsl:value-of select="generate-id(current())"/></xsl:attribute>
		     <xsl:attribute name="x1">30</xsl:attribute>
		     <xsl:attribute name="y1">6</xsl:attribute>
		     <xsl:attribute name="x2">34</xsl:attribute>
		     <xsl:attribute name="y2">2</xsl:attribute>
	      	<xsl:attribute name="style">width:0;color:black</xsl:attribute>
			</segment>


			
	    	<rect editstyle="edit:no;resize:no;move:yes;rotate:no">
		     <xsl:attribute name="id">r_<xsl:value-of select="generate-id(current())"/></xsl:attribute>
		
		     <!-- размещение на схеме -->
		     <xsl:attribute name="x">2</xsl:attribute>
		     <xsl:attribute name="y">12</xsl:attribute>
		     <xsl:attribute name="width">30</xsl:attribute>
		     <xsl:attribute name="height">12</xsl:attribute>
		      
		      <!-- цвет фона и границы -->
		      <xsl:attribute name="style">border-width:0;border-color:black;fill-color:yellow</xsl:attribute>
	    	</rect>

      	<!-- подпись --> 
      	<text editstyle="edit:no;resize:no;move:yes;rotate:no">
       		<xsl:attribute name="id">t_<xsl:value-of select="generate-id(current())"/></xsl:attribute>
  
        	<!-- название -->
        	<xsl:attribute name="string"><xsl:value-of select="gene:NM(.)"/></xsl:attribute>
  
	       	<!-- размещение на схеме (относительно координат группы) -->
        	<xsl:attribute name="x">18</xsl:attribute>
        	<xsl:attribute name="y">28</xsl:attribute>
  
        	<!-- стиль (фонт,цвет букв, подложки и границы) -->
        	<xsl:attribute name="style">font-face:Arial;font-size:10;font-bold:no;font-italic:no;font-underline:no;font-color:black;alignment:center;</xsl:attribute>
      	</text>
      
		</group>
  	</xsl:template>

<!-- RNA ==========================================================================  -->
  	<xsl:template match="rna"> 
		<group editstyle="edit:no;resize:no;move:yes;rotate:no">
	     <xsl:attribute name="id"><xsl:value-of select="@id"/></xsl:attribute>
    	
			<!-- размещение на схеме -->
	     <xsl:attribute name="x"><xsl:value-of select="x"/></xsl:attribute>
	     <xsl:attribute name="y"><xsl:value-of select="y"/></xsl:attribute>
	      
	     <!-- картинка -->
			<segment x1="-16" y1="-8" x2="-12" y2="-1" style="width:0;color:black" editstyle="edit:no;resize:no;move:yes;rotate:no"><xsl:attribute name="id">s0_<xsl:value-of select="generate-id(current())"/></xsl:attribute></segment>
			<segment x1="-12" y1="-1" x2="-8"  y2="-8" style="width:0;color:black" editstyle="edit:no;resize:no;move:yes;rotate:no"><xsl:attribute name="id">s1_<xsl:value-of select="generate-id(current())"/></xsl:attribute></segment>
			<segment x1="-8"  y1="-8" x2="-4"  y2="-1" style="width:0;color:black" editstyle="edit:no;resize:no;move:yes;rotate:no"><xsl:attribute name="id">s2_<xsl:value-of select="generate-id(current())"/></xsl:attribute></segment>
			<segment x1="-4"  y1="-1" x2="0"   y2="-8" style="width:0;color:black" editstyle="edit:no;resize:no;move:yes;rotate:no"><xsl:attribute name="id">s3_<xsl:value-of select="generate-id(current())"/></xsl:attribute></segment>
			<segment x1="0"   y1="-8" x2="4"   y2="-1" style="width:0;color:black" editstyle="edit:no;resize:no;move:yes;rotate:no"><xsl:attribute name="id">s4_<xsl:value-of select="generate-id(current())"/></xsl:attribute></segment>
			<segment x1="4"   y1="-1" x2="8"   y2="-8" style="width:0;color:black" editstyle="edit:no;resize:no;move:yes;rotate:no"><xsl:attribute name="id">s5_<xsl:value-of select="generate-id(current())"/></xsl:attribute></segment>
			<segment x1="8"   y1="-8" x2="12"  y2="-1" style="width:0;color:black" editstyle="edit:no;resize:no;move:yes;rotate:no"><xsl:attribute name="id">s6_<xsl:value-of select="generate-id(current())"/></xsl:attribute></segment>
			<segment x1="12"  y1="-1" x2="16"  y2="-8" style="width:0;color:black" editstyle="edit:no;resize:no;move:yes;rotate:no"><xsl:attribute name="id">s7_<xsl:value-of select="generate-id(current())"/></xsl:attribute></segment>

      	<!-- подпись --> 
      	<text x="0" y="2" style="font-face:Arial;font-size:10;font-bold:no;font-italic:no;font-underline:no;font-color:black;alignment:center;" editstyle="edit:no;resize:no;move:yes;rotate:no">
       		<xsl:attribute name="id">t_<xsl:value-of select="generate-id(current())"/></xsl:attribute>
        	<xsl:attribute name="string"><xsl:value-of select="rna:NM(.)"/></xsl:attribute>
      	</text>
      
		</group>
  	</xsl:template>

<!-- СУБСТАНЦИЯ ==========================================================================  -->
  	<xsl:template match="substance"> 
		<group editstyle="edit:no;resize:no;move:yes;rotate:no">
	     <xsl:attribute name="id"><xsl:value-of select="@id"/></xsl:attribute>
    	
			<!-- размещение на схеме -->
	     <xsl:attribute name="x"><xsl:value-of select="x"/></xsl:attribute>
	     <xsl:attribute name="y"><xsl:value-of select="y"/></xsl:attribute>
	      
	     <!-- картинка -->
	    	<rect editstyle="edit:no;resize:no;move:yes;rotate:no">
		     <xsl:attribute name="id">r_<xsl:value-of select="generate-id(current())"/></xsl:attribute>
		
		     <!-- размещение на схеме -->
		     <xsl:attribute name="x">-12</xsl:attribute>
		     <xsl:attribute name="y">-12</xsl:attribute>
		     <xsl:attribute name="width">24</xsl:attribute>
		     <xsl:attribute name="height">24</xsl:attribute>
		      
		      <!-- цвет фона и границы -->
		      <xsl:attribute name="style">border-width:0;border-color:black;fill-color:slateblue</xsl:attribute>
	    	</rect>

      	<!-- подпись --> 
      	<text editstyle="edit:no;resize:no;move:yes;rotate:no">
       		<xsl:attribute name="id">t_<xsl:value-of select="generate-id(current())"/></xsl:attribute>
  
        	<!-- название -->
        	<xsl:attribute name="string"><xsl:value-of select="substance:NM(.)"/></xsl:attribute>
  
	       	<!-- размещение на схеме (относительно координат группы) -->
        	<xsl:attribute name="x">0</xsl:attribute>
        	<xsl:attribute name="y">14</xsl:attribute>
  
        	<!-- стиль (фонт,цвет букв, подложки и границы) -->
        	<xsl:attribute name="style">font-face:Arial;font-size:10;font-bold:no;font-italic:no;font-underline:no;font-color:black;alignment:center;</xsl:attribute>
      	</text>
      
		</group>
  	</xsl:template>

<!-- ПРОТЕИН ==========================================================================  -->
  <xsl:template match="protein"> <!-- протеин превращается в картинку (зависит от значений параметров) с подписью --> 
    <group editstyle="edit:no;resize:no;move:yes;rotate:no">
      <xsl:attribute name="id"><xsl:value-of select="@id"/></xsl:attribute>
      
      <!-- размещение на схеме -->
      <xsl:attribute name="x"><xsl:value-of select="x"/></xsl:attribute>
      <xsl:attribute name="y"><xsl:value-of select="y"/></xsl:attribute>

      
      <!-- картинка -->
      <xsl:choose>
        <xsl:when test="object/mm='monomer'">
          <!-- для мономеров один большой круг-->
          <ellipse editstyle="edit:no;resize:no;move:yes;rotate:no">
            <xsl:attribute name="id">i_<xsl:value-of select="generate-id(current())"/></xsl:attribute>
      
            <!-- размещение на схеме (относительно координат группы) -->
            <xsl:attribute name="x">0</xsl:attribute>
            <xsl:attribute name="y">0</xsl:attribute>
            <xsl:attribute name="width">32</xsl:attribute>
            <xsl:attribute name="height">32</xsl:attribute>
            
            <!-- цвет фона и границы -->
            <xsl:attribute name="style">border-color:black;border-width:0;fill-color:<xsl:value-of select="protein:FN(.)"/></xsl:attribute>
            
          </ellipse>
        </xsl:when>
        
        <xsl:when test="object/mm='homodimer'">
          <!-- для гомодимеров - два эллипса рядом -->
          <ellipse editstyle="edit:no;resize:no;move:yes;rotate:no">
            <xsl:attribute name="id">i_<xsl:value-of select="generate-id(current())"/></xsl:attribute>
      
            <!-- размещение на схеме (относительно координат группы) -->
            <xsl:attribute name="x">0</xsl:attribute>
            <xsl:attribute name="y">0</xsl:attribute>
            <xsl:attribute name="width">20</xsl:attribute>
            <xsl:attribute name="height">32</xsl:attribute>
            
            <!-- цвет фона и границы -->
            <xsl:attribute name="style">border-color:black;border-width:0;fill-color:<xsl:value-of select="protein:FN(.)"/></xsl:attribute>
            
          </ellipse>
          <ellipse editstyle="edit:no;resize:no;move:yes;rotate:no">
            <xsl:attribute name="id">j_<xsl:value-of select="generate-id(current())"/></xsl:attribute>
      
            <!-- размещение на схеме (относительно координат группы) -->
            <xsl:attribute name="x">12</xsl:attribute>
            <xsl:attribute name="y">0</xsl:attribute>
            <xsl:attribute name="width">20</xsl:attribute>
            <xsl:attribute name="height">32</xsl:attribute>
            
            <!-- цвет фона и границы -->
            <xsl:attribute name="style">border-color:black;border-width:0;fill-color:<xsl:value-of select="protein:FN(.)"/></xsl:attribute>
            
          </ellipse>
        </xsl:when>

        <xsl:when test="object/mm='heterodimer'">
          <!-- для гомодимеров - два эллипса рядом -->
          <ellipse editstyle="edit:no;resize:no;move:yes;rotate:no">
            <xsl:attribute name="id">i_<xsl:value-of select="generate-id(current())"/></xsl:attribute>
      
            <!-- размещение на схеме (относительно координат группы) -->
            <xsl:attribute name="x">0</xsl:attribute>
            <xsl:attribute name="y">0</xsl:attribute>
            <xsl:attribute name="width">20</xsl:attribute>
            <xsl:attribute name="height">20</xsl:attribute>
            
            <!-- цвет фона и границы -->
            <xsl:attribute name="style">border-color:black;border-width:0;fill-color:<xsl:value-of select="protein:FN(.)"/></xsl:attribute>
            
          </ellipse>
          <ellipse editstyle="edit:no;resize:no;move:yes;rotate:no">
            <xsl:attribute name="id">j_<xsl:value-of select="generate-id(current())"/></xsl:attribute>
      
            <!-- размещение на схеме (относительно координат группы) -->
            <xsl:attribute name="x">12</xsl:attribute>
            <xsl:attribute name="y">0</xsl:attribute>
            <xsl:attribute name="width">20</xsl:attribute>
            <xsl:attribute name="height">32</xsl:attribute>
            
            <!-- цвет фона и границы -->
            <xsl:attribute name="style">border-color:black;border-width:0;fill-color:<xsl:value-of select="protein:FN(.)"/></xsl:attribute>
            
          </ellipse>
        </xsl:when>

        <xsl:when test="object/mm='multimer'">
          <!-- для мультимеров - три круга у углах равностороннего треугоьника -->
          <ellipse editstyle="edit:no;resize:no;move:yes;rotate:no">
            <xsl:attribute name="id">i_<xsl:value-of select="generate-id(current())"/></xsl:attribute>
      
            <!-- размещение на схеме (относительно координат группы) -->
            <xsl:attribute name="x">5</xsl:attribute>
            <xsl:attribute name="y">0</xsl:attribute>
            <xsl:attribute name="width">17</xsl:attribute>
            <xsl:attribute name="height">17</xsl:attribute>
            
            <!-- цвет фона и границы -->
            <xsl:attribute name="style">border-color:black;border-width:0;fill-color:<xsl:value-of select="protein:FN(.)"/></xsl:attribute>
            
          </ellipse>
          <ellipse editstyle="edit:no;resize:no;move:yes;rotate:no">
            <xsl:attribute name="id">j_<xsl:value-of select="generate-id(current())"/></xsl:attribute>
      
            <!-- размещение на схеме (относительно координат группы) -->
            <xsl:attribute name="x">-4</xsl:attribute>
            <xsl:attribute name="y">14</xsl:attribute>
            <xsl:attribute name="width">17</xsl:attribute>
            <xsl:attribute name="height">17</xsl:attribute>
            
            <!-- цвет фона и границы -->
            <xsl:attribute name="style">border-color:black;border-width:0;fill-color:<xsl:value-of select="protein:FN(.)"/></xsl:attribute>
            
          </ellipse>
          <ellipse editstyle="edit:no;resize:no;move:yes;rotate:no">
            <xsl:attribute name="id">k_<xsl:value-of select="generate-id(current())"/></xsl:attribute>
      
            <!-- размещение на схеме (относительно координат группы) -->
            <xsl:attribute name="x">14</xsl:attribute>
            <xsl:attribute name="y">14</xsl:attribute>
            <xsl:attribute name="width">17</xsl:attribute>
            <xsl:attribute name="height">17</xsl:attribute>
            
            <!-- цвет фона и границы -->
            <xsl:attribute name="style">border-color:black;border-width:0;fill-color:<xsl:value-of select="protein:FN(.)"/></xsl:attribute>
            
          </ellipse>
        </xsl:when>
        <xsl:otherwise>
          <ellipse editstyle="edit:no;resize:no;move:yes;rotate:no">
            <xsl:attribute name="id">i_<xsl:value-of select="generate-id(current())"/></xsl:attribute>
      
            <!-- размещение на схеме (относительно координат группы) -->
            <xsl:attribute name="x">0</xsl:attribute>
            <xsl:attribute name="y">0</xsl:attribute>
            <xsl:attribute name="width">32</xsl:attribute>
            <xsl:attribute name="height">32</xsl:attribute>
            
            <!-- цвет фона и границы -->
            <xsl:attribute name="style">border-color:black;border-width:0;fill-color:<xsl:value-of select="protein:FN(.)"/></xsl:attribute>
            
          </ellipse>
        </xsl:otherwise>
      </xsl:choose>
        
      <!-- поле MD (modififcation) определяет наличие дополнительного элемента в картинке -->    
      <xsl:choose>
        <xsl:when test="object/md='phosphorylated'">
          <ellipse editstyle="edit:no;resize:no;move:yes;rotate:no">
            <xsl:attribute name="id">I_<xsl:value-of select="generate-id(current())"/></xsl:attribute>
      
            <!-- размещение на схеме (относительно координат группы) -->
            <xsl:attribute name="x">24</xsl:attribute>
            <xsl:attribute name="y">2</xsl:attribute>
            <xsl:attribute name="width">7</xsl:attribute>
            <xsl:attribute name="height">7</xsl:attribute>
            
            <!-- цвет фона и границы -->
            <xsl:attribute name="style">border-color:white;border-width:0;fill-color:red</xsl:attribute>
            
          </ellipse>
        </xsl:when>
      </xsl:choose>
        
      <!-- подпись --> 
      <text editstyle="edit:no;resize:no;move:yes;rotate:no">
        <xsl:attribute name="id">t_<xsl:value-of select="generate-id(current())"/></xsl:attribute>
  
        <!-- название -->
        <xsl:attribute name="string"><xsl:value-of select="protein:NM(.)"/></xsl:attribute>
  
        <!-- размещение на схеме (относительно координат группы) -->
        <xsl:attribute name="x">16</xsl:attribute>
        <xsl:attribute name="y">34</xsl:attribute>
  
        <!-- стиль (фонт,цвет букв, подложки и границы) -->
        <xsl:attribute name="style">font-face:Arial;font-size:10;font-bold:no;font-italic:no;font-underline:no;font-color:black;alignment:center;</xsl:attribute>
      </text>
      
    </group>
  </xsl:template>

</xsl:stylesheet>

