<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet 	xmlns:xsl="http://www.w3.org/1999/XSL/Transform" 
                	xmlns:msxsl="urn:schemas-microsoft-com:xslt" 
					 	xmlns:compartment="http://wwwmgs.bionet.nsc.ru/compartmentnamespace"
						version="1.0">

	<xsl:template match="/reaction">
		<reaction>
			<xsl:apply-templates select="object"/>
			
		</reaction>
	</xsl:template>

	<xsl:template match="object">

	    <xsl:for-each select="local_comment_item">
        	<local_comment_item>
	    	    <xsl:attribute name="invalid">
	        	<xsl:choose>
	            	    <xsl:when test="boolean(ref)">
	            		<xsl:value-of select="boolean(boolean(string-length(CC/text()) = 0) or not(boolean(ref/@id)))"/>
		    	    </xsl:when>
			    <xsl:otherwise>
				<xsl:value-of select="boolean(string-length(CC/text()) = 0)"/>
			    </xsl:otherwise>
			</xsl:choose>
	    	    </xsl:attribute>
		</local_comment_item>
	    </xsl:for-each>

	<xsl:for-each select="const">
	    <const>
		<xsl:attribute name="invalid">
		    <xsl:value-of select="boolean(string-length(name/text()) = 0) or boolean(string-length(value/text()) = 0)"/>
		</xsl:attribute>		
	    </const>
	</xsl:for-each>





	<nm>
	    <xsl:attribute name="invalid">
		<xsl:value-of select="boolean(string-length(nm/text()) = 0)"/>
	    </xsl:attribute>
	</nm>

	<xsl:if test="nm/text()='regulatory event'">
	    <at>
		<xsl:attribute name="invalid">
		    <xsl:value-of select="boolean(string-length(at/text()) = 0)"/>
		</xsl:attribute>
	    </at>
	    <type>
		<xsl:attribute name="invalid">
		    <xsl:value-of select="boolean(type)"/>
		</xsl:attribute>	    
	    </type>
	</xsl:if>

	<xsl:if test="nm/text()='reaction'">
	    <at>
		<xsl:attribute name="invalid">
		    <xsl:value-of select="boolean(at)"/>
		</xsl:attribute>
	    </at>
	    <type>
		<xsl:attribute name="invalid">
		    <xsl:value-of select="boolean(string-length(type/text()) = 0)"/>
		</xsl:attribute>
	    </type>
	</xsl:if>



	<ef>
	    <xsl:attribute name="invalid">
		<xsl:value-of select="boolean(string-length(ef/text()) = 0)"/>
	    </xsl:attribute>
	</ef>

	<xsl:for-each select="keggreaction">
	    <keggreaction>
		<xsl:attribute name="invalid">
	               <xsl:value-of select="boolean(not(starts-with(./text(),'R')) or string-length(./text()) != 6) or number(substring(./text(),2)) != number(substring(./text(),2))"/>
	        </xsl:attribute>
	    </keggreaction>
	</xsl:for-each>
	

	<xsl:for-each select="total_comment_item">
            <total_comment_item>
	        <xsl:attribute name="invalid">
	            <xsl:choose>
	                <xsl:when test="boolean(ref)">
	            	    <xsl:value-of select="boolean(boolean(string-length(cc/text()) = 0) or not(boolean(ref/@id)))"/>
		        </xsl:when>
			<xsl:otherwise>
			    <xsl:value-of select="boolean(string-length(cc/text()) = 0)"/>
			</xsl:otherwise>
		    </xsl:choose>
	        </xsl:attribute>
	    </total_comment_item>
	</xsl:for-each>

	<xsl:choose>
            <xsl:when test="boolean(ref)">
	        <xsl:for-each select="ref">
	            <ref>
	                <xsl:attribute name="invalid">
	                    <xsl:value-of select="not(boolean(@id))"/>
	                </xsl:attribute>
	            </ref>
	        </xsl:for-each>
	    </xsl:when>
	    <xsl:otherwise><ref invalid="true"/></xsl:otherwise>
	</xsl:choose>	


	</xsl:template>
</xsl:stylesheet>
