<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
xmlns:msxsl="urn:schemas-microsoft-com:xslt"
xmlns:cell="http://wwwmgs.bionet.nsc.ru/cellnamespace">

     <msxsl:script language="JScript" implements-prefix="cell">
	 function NM(nodelist)
	 {
	     node = nodelist.nextNode();
	     os = node.selectSingleNode("os/Latin");
	     
	     if (os)
	     {
	         ost = os.text;
                 n = ost.indexOf("(");
                 if (n != -1)
                     ost = ost.substr(0, n);
                 
		 ss = ost.split(" ");
                 ost = "";
		 
                 for (i = 0; i &lt; ss.length; i++)
                     ost += ss[i].charAt(0);
		     
                 return ost;
             }
            return "[undefined]";
         }
     </msxsl:script>

    <xsl:key name="oss" match="//object/cell" use="@id"/>
    	
    <xsl:template match="/diagram">
	<nodelist>
	    <xsl:for-each select="//cell[generate-id(.)=generate-id(key('oss', @id))]">
	        <node>
	    	    <xsl:attribute name="name">			
			<xsl:if test="os"><xsl:value-of select="cell:NM(.)"/> : </xsl:if>
		        <xsl:if test="sn"><xsl:value-of select="sn"/></xsl:if>
			<xsl:if test="nm"> : <xsl:value-of select="nm"/></xsl:if>
		    </xsl:attribute>
		    <xsl:attribute name="id"><xsl:value-of select="@id"/></xsl:attribute>
		</node>
	    </xsl:for-each>
	</nodelist>
    </xsl:template>
    
</xsl:stylesheet>
																							