<xsl:stylesheet 	xmlns:xsl="http://www.w3.org/1999/XSL/Transform" 
                	xmlns:msxsl="urn:schemas-microsoft-com:xslt" 
	             	xmlns:protein="http://wwwmgs.bionet.nsc.ru/proteinnamespace"
	             	xmlns:gene="http://wwwmgs.bionet.nsc.ru/genenamespace"
	             	xmlns:rna="http://wwwmgs.bionet.nsc.ru/rnanamespace"
  	           		xmlns:reaction="http://wwwmgs.bionet.nsc.ru/reactionnamespace"
             version="1.0">
            
  <msxsl:script language="JScript" implements-prefix="gene"><![CDATA[

    function NM(nodelist) 
      {
      node = nodelist.nextNode();
      
      var name = "";

      // 27OBL :>@>B:>5 8<O 
      sn = node.selectSingleNode("object/sn");
      if (sn)
        name = sn.text;
      else
        {
        // :>@>B:>5 8<O =5 >?@545;5=> - 4>1028< ?>;=>5
        nm = node.selectSingleNode("object/nm");
        if (nm)
          name = nm.text;
        }
        
      var osn = "";
      
      // >?@545;8BL A>:@0I5==K5 8<5=0 2A5E >@30=87<>2
      oss = node.selectNodes("object/os/Latin"); // 8E <>65B 1KBL <=>3> (3@C??0 M:2820;5=B=>AB8)
      for (j = 0; j &lt; oss.length; j++)
        {
        os = oss.item(j);
        
        if (os)
          {
          ost = os.text;
          
          // >B1@0AK205BAO >1I5?@8=OB>5 =0720=85 >@30=87<0 (2 A:>1:0E)
          n = ost.indexOf("(");
          if (n != -1)
            ost = ost.substr(0, n);
  
          // @0718BL =0 :CA:8 ?> ?@>15;C
          ss = ost.split(" ");
          ost = "";
          for (i = 0; i &lt; ss.length; i++)
            ost += ss[i].charAt(0);
                        
          }
          
        if (j > 0)
          osn += ",";
        
        osn += ost;
        }
        
      if (osn != "")
        name += "\n" + "(" + osn + ")";
diagram = node.selectSingleNode("connect");
        if(diagram)
	        {
		            name += "\n" +"[ from: "+diagram.text+"]";
			            }
      return name;
      }
  
  </msxsl:script>

  <msxsl:script language="JScript" implements-prefix="protein">
    <!-- >?@545;5=85 F25B0 2 7028A8<>AB8 >B Functional state (?>;5 fn) ?@>B58=0 -->
    
    
    function NM(nodelist) 
      {
      node = nodelist.nextNode();
      
      var name = "";

      // 27OBL :>@>B:>5 8<O ?@>B58=0 
      sn = node.selectSingleNode("object/sn");
      SN = node.selectSingleNode("object/SN");

      if (SN)
        name = SN.text;
      else  if(sn)
        {
        name = sn.text;
        }
      else
        {
        // :>@>B:>5 8<O =5 >?@545;5=> - 4>1028< ?>;=>5
        nm = node.selectSingleNode("object/nm");
        if (nm)
          name = nm.text;
        }
        
      var osn = "";
      
      // >?@545;8BL A>:@0I5==K5 8<5=0 2A5E >@30=87<>2
      oss = node.selectNodes("object/os/Latin"); // 8E <>65B 1KBL <=>3> (3@C??0 M:2820;5=B=>AB8)
      for (j = 0; j &lt; oss.length; j++)
        {
        os = oss.item(j);
        
        if (os)
          {
          ost = os.text;
          
          // >B1@0AK205BAO >1I5?@8=OB>5 =0720=85 >@30=87<0 (2 A:>1:0E)
          n = ost.indexOf("(");
          if (n != -1)
            ost = ost.substr(0, n);
  
          // @0718BL =0 :CA:8 ?> ?@>15;C
          ss = ost.split(" ");
          ost = "";
          for (i = 0; i &lt; ss.length; i++)
            ost += ss[i].charAt(0);
                        
          }
          
        if (j > 0)
          osn += ",";
        
        osn += ost;
        }
        
      if (osn != "")
        name += "\n" + "(" + osn + ")";

diagram = node.selectSingleNode("connect");
        if(diagram)
	        {
		            name += "\n" +"[ from: "+diagram.text+"]";
			            }
      return name;
        }
    function FN(nodelist) 
      {
      fn = nodelist.nextNode().selectSingleNode("object/fn");
      
      if (fn)
        {
        if (fn.text == "active")
          return "crimson"
        else if (fn.text == "inactive")
          return "forestgreen"
        }
  
      return "sandybrown"
        }

    	
]]></msxsl:script>




  <msxsl:script language="JScript" implements-prefix="rna">
    function NM(nodelist) 
      {
      node = nodelist.nextNode();
      
      var name = "";

      // 27OBL :>@>B:>5 8<O 
      sn = node.selectSingleNode("object/sn");
      if (sn)
        name = sn.text;
      else
        {
        // :>@>B:>5 8<O =5 >?@545;5=> - 4>1028< ?>;=>5
        nm = node.selectSingleNode("object/nm");
        if (nm)
          name = nm.text;
        }
        
      var osn = "";
      
      // >?@545;8BL A>:@0I5==K5 8<5=0 2A5E >@30=87<>2
      oss = node.selectNodes("object/os/Latin"); // 8E <>65B 1KBL <=>3> (3@C??0 M:2820;5=B=>AB8)
      for (j = 0; j &lt; oss.length; j++)
        {
        os = oss.item(j);
        
        if (os)
          {
          ost = os.text;
          
          // >B1@0AK205BAO >1I5?@8=OB>5 =0720=85 >@30=87<0 (2 A:>1:0E)
          n = ost.indexOf("(");
          if (n != -1)
            ost = ost.substr(0, n);
  
          // @0718BL =0 :CA:8 ?> ?@>15;C
          ss = ost.split(" ");
          ost = "";
          for (i = 0; i &lt; ss.length; i++)
            ost += ss[i].charAt(0);
                        
          }
          
        if (j > 0)
          osn += ",";
        
        osn += ost;
        }
        
      if (osn != "")
        name += "\n" + "(" + osn + ")";

diagram = node.selectSingleNode("connect");
        if(diagram)
	        {
		            name += "\n" +"[ from: "+diagram.text+"]";
			            }
      return name;
      }
  
  </msxsl:script>

  <msxsl:script language="JScript" implements-prefix="reaction">
    <!-- >?@545;5=85 F25B0 2 7028A8<>AB8 >B ?>;O AT @50:F88 -->
  
    <!-- >?@545;5=85 F25B0 2 7028A8<>AB8 >B ?>;O EF @50:F88 -->
    function EF(nodelist) 
      {
      ef = nodelist.nextNode().selectSingleNode("object/ef");
      if (ef)
        {
        if (ef.text == "direct")
          return "yellow"
        else if (ef.text == "indirect")
          return "green"
        }
 
      return "black"
        }
    function AT(nodelist) 
      {
      at = nodelist.nextNode().selectSingleNode("object/at");
      if (at)
        {
        if (at.text == "on" || at.text == "switch on")
          return "red"
        else if (at.text == "off" || at.text == "switch off")
          return "black"
        else if (at.text == "increase")
          return "hotpink"
        else if (at.text == "decrease")
          return "blue"
        }
  
      return "seagreen"
        }
    
     function Width(nodelist) 
      {
      ef = nodelist.nextNode().selectSingleNode("object/ef");
      if (ef)
        {
        if (ef.text == "direct")
          return "2.0"
        else if (ef.text == "indirect")
          return "1.0"
        }
  
      return "1.0"
       }

     function BWidth(nodelist) 
      {
      subschema = nodelist.nextNode().selectSingleNode("object/subschema");
      if (subschema)
        {
          return "3.0"
        }
  
      return "1.0"
       }

     function Dash(nodelist) 
      {
      ef = nodelist.nextNode().selectSingleNode("object/ef");
      if (ef)
        {
        if (ef.text == "direct")
          return "0"
        else if (ef.text == "indirect")
          return "1"
        }
  
      return "0"
       }
    function Type(nodelist) 
      {
      at = nodelist.nextNode().selectSingleNode("object/at");
      if (at)
        {
        if (at.text == "on" || at.text == "switch on")
          return "1"
        else if (at.text == "off" || at.text == "switch off")
          return "2"
        else if (at.text == "increase")
          return "1"
        else if (at.text == "decrease")
          return "3"
        }
  
      return "1"
        }
  
  </msxsl:script>
    
  <xsl:template match="/">
    <!--    >;L15@B - ?>:0 >1;0405B B>;L:> >4=8< A2>9AB2>< - F25B>< ?>4;>6:8   -->
    <canvas style="fill-color:white">
    <xsl:apply-templates select="/diagram"/> <!-- >1@01>B0BL AE5<C -->
    </canvas>
  </xsl:template>
  
  <xsl:template match="diagram">
    <!--    CE5<a    -->
    <diagram editstyle="edit:no;resize:yes;move:yes;rotate:no"> 
      <!-- 0B@81CBK AE5<K -->
      <xsl:attribute name="id"><xsl:value-of select="@id"/></xsl:attribute>
      <xsl:attribute name="name"><xsl:value-of select="name"/></xsl:attribute>
      <!-- ?@5>1@07>20=85 B8?0 -->
      <xsl:attribute name="type">
        <xsl:choose>
          <xsl:when test="nm[.='oval']">ellipse</xsl:when>
          <xsl:when test="nm[.='rounded_rect']">roundedrect</xsl:when>
          <xsl:otherwise>rect</xsl:otherwise>
        </xsl:choose>
      </xsl:attribute>

      <xsl:attribute name="x"><xsl:value-of select="x"/></xsl:attribute>
      <xsl:attribute name="y"><xsl:value-of select="y"/></xsl:attribute>
      <xsl:attribute name="r"><xsl:value-of select="r"/></xsl:attribute>
      <xsl:attribute name="width"><xsl:value-of select="width"/></xsl:attribute>
      <xsl:attribute name="height"><xsl:value-of select="height"/></xsl:attribute>
      <xsl:attribute name="style"><xsl:if test="color">fill-color:<xsl:value-of select="color"/>;</xsl:if><xsl:if test="bordercolor">border-color:<xsl:value-of select="bordercolor"/>;</xsl:if>border-width:0;</xsl:attribute>
      
      <!-- =0720=85 AE5<K -->
      <xsl:if test="ac">
        <title >
          <xsl:attribute name="id"><xsl:value-of select="generate-id(current())"/></xsl:attribute>
          <xsl:attribute name="string"><xsl:value-of select="ac"/></xsl:attribute>

          <!-- 0B@81CBK B5:AB0 =5 7028AOB =8 >B G53> -->
          <xsl:attribute name="style">font-face:Arial;font-size:10;font-bold:yes;font-italic:no;font-underline:no;font-color:black;alignment:center</xsl:attribute>
          <xsl:attribute name="editstyle">edit:no;resize:no;move:no;rotate:no</xsl:attribute>

          <!-- ?>;>65=85 AB@>:8 >?@545;O5BAO "?@>3@0<<=>" >B=>A8B5;L=> =86=53> :@0O AE5<K -->
        </title>
      </xsl:if>
      
			<xsl:apply-templates select="objects/compartment" /> <!-- >1@01>B0BL 2A5 2;>65==K5 :><?0@B<5=BK -->
			<xsl:apply-templates select="objects/protein" /> <!-- >1@01>B0BL 2A5 2;>65==K5 ?@>B58=K -->
			<xsl:apply-templates select="objects/gene" /> <!-- >1@01>B0BL 2A5 2;>65==K5 35=K -->
			<xsl:apply-templates select="objects/operon" /> <!-- >1@01>B0BL 2A5 2;>65==K5 35=K -->
			<xsl:apply-templates select="objects/rna" /> <!-- >1@01>B0BL 2A5 2;>65==K5 RNA -->
			<xsl:apply-templates select="objects/substance" /> <!-- >1@01>B0BL 2A5 2;>65==K5 AC1AB0=F88 -->
			<xsl:apply-templates select="objects/process" /> <!-- >1@01>B0BL 2A5 2;>65==K5 ?@>F5AAK -->
			<xsl:apply-templates select="objects/reaction" /> <!-- >1@01>B0BL 2A5 2;>65==K5 @50:F88 -->
     	
			<xsl:apply-templates select="links" /> <!-- >1@01>B0BL 2A5 A2O78 -->

    	</diagram>
  </xsl:template>
  
<!-- !/ ================================================================================  -->
  <xsl:template match="links">
    <links>
      <xsl:apply-templates select="link" /> <!-- >1@01>B0BL 2A5 548=8G=K5 A2O78 -->
    </links>
  </xsl:template>
  
<!-- !/, ================================================================================  -->
  <xsl:template match="link">
    <link editstyle="edit:no;resize:no;move:no;rotate:no">

    <xsl:choose>
        <xsl:when test="@filtered">      
	    <xsl:attribute name="style">
		<xsl:choose>
			<xsl:when test="name(//reaction[@id=current()/@source])='reaction'">
				<xsl:value-of select="concat('color:white;width:', reaction:Width(//reaction[@id=current()/@source]),';dashstyle:', reaction:Dash(//reaction[@id=current()/@source]))"/>		
			</xsl:when>
          		<xsl:otherwise>
				<xsl:value-of select="concat('color:white;width:', reaction:Width(//reaction[@id=current()/@target]),';dashstyle:', reaction:Dash(//reaction[@id=current()/@target]))"/>
			</xsl:otherwise>
        	</xsl:choose>
    	    </xsl:attribute> 
	</xsl:when>
        <xsl:otherwise>	
	    <xsl:attribute name="style">
		<xsl:choose>
			<xsl:when test="name(//reaction[@id=current()/@source])='reaction'">
				<xsl:value-of select="concat('color:',reaction:AT(//reaction[@id=current()/@source]),';width:', reaction:Width(//reaction[@id=current()/@source]),';dashstyle:', reaction:Dash(//reaction[@id=current()/@source]))"/>		
			</xsl:when>
          		<xsl:otherwise>
				<xsl:value-of select="concat('color:',reaction:AT(//reaction[@id=current()/@target]),';width:', reaction:Width(//reaction[@id=current()/@target]),';dashstyle:', reaction:Dash(//reaction[@id=current()/@target]))"/>
			</xsl:otherwise>
        	</xsl:choose>
    	    </xsl:attribute> 
	</xsl:otherwise>
    </xsl:choose>

	<xsl:attribute name="type">
		<xsl:choose>
			<xsl:when test="name(//reaction[@id=current()/@source])='reaction'">
				<xsl:value-of select="reaction:Type(//reaction[@id=current()/@source])"/>		
			</xsl:when>
          		<xsl:otherwise>
				<xsl:value-of select="0"/>		
			</xsl:otherwise>
        	</xsl:choose>
        </xsl:attribute> 

      <!-- id D>@<8@C5BAO 87 id A2O7K205<KE >1J5:B>2 -->
      <xsl:attribute name="id">L_<xsl:value-of select="@source"/>_<xsl:value-of select="@target"/></xsl:attribute>
      
      <source>
        <xsl:attribute name="id"><xsl:value-of select="@source"/></xsl:attribute>
      </source>

      <target>
        <xsl:attribute name="id"><xsl:value-of select="@target"/></xsl:attribute>
      </target>
      
    </link>
  </xsl:template>
  
<!--  "" ==========================================================================  -->
  <xsl:template match="compartment">
    <compartment editstyle="edit:no;resize:yes;move:yes;rotate:yes">
      <!-- id ?@>AB> ?5@5?8AK20eBAO -->
      <xsl:attribute name="id"><xsl:value-of select="@id"/></xsl:attribute>
      <!-- ?@5>1@07>20=85 B8?0 -->
      <xsl:attribute name="type">
        <xsl:choose>
          <xsl:when test="nm[.='oval']">ellipse</xsl:when>
	  <xsl:when test="nm[.='rounded_rect']">roundedrect</xsl:when>
          <xsl:otherwise>rect</xsl:otherwise>
        </xsl:choose>
      </xsl:attribute>
      
      <!-- @07<5I5=85 =0 AE5<5 -->
      <xsl:attribute name="x"><xsl:value-of select="x"/></xsl:attribute>
      <xsl:attribute name="y"><xsl:value-of select="y"/></xsl:attribute>
      <xsl:attribute name="width"><xsl:value-of select="width"/></xsl:attribute>
      <xsl:attribute name="height"><xsl:value-of select="height"/></xsl:attribute>
      <!-- 5A;8 MB> roundedrect, B> =C6=> 7040BL @048>A 70:@C3;5=8O! --> 
      <xsl:if test="nm[.='rounded_rect']">
        <xsl:attribute name="r"><xsl:value-of select="r"/></xsl:attribute>
      </xsl:if>
      
      <!-- AB8;L (F25B ?>4;>6:8 8 3@0=8FK) -->
      <xsl:attribute name="style">
        <xsl:choose>
          <xsl:when test="color">fill-color:<xsl:value-of select="color"/>;</xsl:when>
          <xsl:otherwise>fill-color:aqua;</xsl:otherwise>
        </xsl:choose>
        <xsl:choose>
          <xsl:when test="bordercolor">border-color:<xsl:value-of select="bordercolor"/>;</xsl:when>
          <xsl:otherwise>border-color:black;</xsl:otherwise>
        </xsl:choose>border-width:0;
      </xsl:attribute>
      
      <!-- =0720=85 :><?0@B<5=B0 (5A;8 5ABL) -->
      <xsl:if test="object/ac">
        <title >
          <xsl:attribute name="id"><xsl:value-of select="generate-id(current())"/></xsl:attribute>
          <xsl:attribute name="string"><xsl:value-of select="object/ac"/></xsl:attribute>

          <!-- 0B@81CBK B5:AB0 =5 7028AOB =8 >B G53> -->
          <xsl:attribute name="style">font-face:Arial;font-size:10;font-bold:yes;font-italic:no;font-underline:no;font-color:MidnightBlue;alignment:center;</xsl:attribute>
          <xsl:attribute name="editstyle">edit:no;resize:no;move:no;rotate:no</xsl:attribute>

          <!-- ?>;>65=85 AB@>:8 >?@545;O5BAO "?@>3@0<<=>" >B=>A8B5;L=> =86=53> :@0O :><?0@B<5=B0 -->
        </title>
      </xsl:if>
      
			<xsl:apply-templates select="objects/compartment" /> <!-- >1@01>B0BL 2A5 2;>65==K5 :><?0@B<5=BK -->
			<xsl:apply-templates select="objects/protein" /> <!-- >1@01>B0BL 2A5 2;>65==K5 ?@>B58=K -->
			<xsl:apply-templates select="objects/gene" /> <!-- >1@01>B0BL 2A5 2;>65==K5 35=K -->
			<xsl:apply-templates select="objects/rna" /> <!-- >1@01>B0BL 2A5 2;>65==K5 RNA -->
			<xsl:apply-templates select="objects/operon" /> <!-- >1@01>B0BL 2A5 2;>65==K5 35=K -->
			<xsl:apply-templates select="objects/substance" /> <!-- >1@01>B0BL 2A5 2;>65==K5 AC1AB0=F88 -->
			<xsl:apply-templates select="objects/process" /> <!-- >1@01>B0BL 2A5 2;>65==K5 ?@>F5AAK -->
			<xsl:apply-templates select="objects/reaction" /> <!-- >1@01>B0BL 2A5 2;>65==K5 @50:F88 -->
    
    	</compartment>
  </xsl:template>


<!--  &!! ==========================================================================  -->
  <xsl:template match="process"> <!-- ?@>F5AA ?@52@0I05BAO 2 B5:AB A @0<:>9 --> 
    <text editstyle="edit:no;resize:no;move:yes;rotate:no">
      <xsl:attribute name="id"><xsl:value-of select="@id"/></xsl:attribute>

      <!-- =0720=85 -->
      <xsl:attribute name="string"><xsl:value-of select="object/nm"/></xsl:attribute>

      <!-- @07<5I5=85 =0 AE5<5 -->
      <xsl:attribute name="x"><xsl:value-of select="x"/></xsl:attribute>
      <xsl:attribute name="y"><xsl:value-of select="y"/></xsl:attribute>

      <!-- AB8;L (D>=B,F25B 1C:2, ?>4;>6:8 8 3@0=8FK) -->
      <xsl:attribute name="style">font-face:Arial;font-size:10;font-bold:no;font-italic:no;font-underline:no;font-color:black;alignment:center;border-color:blue;border-width:0;border-gap:2</xsl:attribute>
      
    </text>
  </xsl:template>

<!--  &/ ==========================================================================  -->
  <xsl:template match="reaction"> <!-- @50:F8O ?@52@0I05BAO 2 :@C3 A F25B><, 7028AOI8< >B ?0@0<5B@>2--> 
    <group editstyle="edit:no;resize:no;move:yes;rotate:no">
	<xsl:attribute name="id"><xsl:value-of select="@id"/></xsl:attribute>

	<xsl:attribute name="x"><xsl:value-of select="x"/></xsl:attribute>
	<xsl:attribute name="y"><xsl:value-of select="y"/></xsl:attribute>



    <xsl:if test="object/subschema">

    <ellipse editstyle="edit:no;resize:no;move:yes;rotate:no">
      <xsl:attribute name="id">r0_<xsl:value-of select="generate-id(current())"/></xsl:attribute>

      <!-- @07<5I5=85 =0 AE5<5 -->
      <xsl:attribute name="x">-2</xsl:attribute>
      <xsl:attribute name="y">-2</xsl:attribute>
      <xsl:attribute name="width">10</xsl:attribute>
      <xsl:attribute name="height">10</xsl:attribute>
      
      <!-- F25B D>=0 8 3@0=8FK -->
      <xsl:attribute name="style">border-width:0.0;border-color:red;fill-color:red</xsl:attribute>
      
    </ellipse>
     
	<text editstyle="edit:no;resize:no;move:yes;rotate:no">
       		<xsl:attribute name="id">t_<xsl:value-of select="generate-id(current())"/></xsl:attribute>
  
        	<!-- =0720=85 -->
        	<xsl:attribute name="string">subschema</xsl:attribute>
  
	       	<!-- @07<5I5=85 =0 AE5<5 (>B=>A8B5;L=> :>>@48=0B 3@C??K) -->
        	<xsl:attribute name="x">6</xsl:attribute>
        	<xsl:attribute name="y">10</xsl:attribute>
  
        	<!-- AB8;L (D>=B,F25B 1C:2, ?>4;>6:8 8 3@0=8FK) -->
        	<xsl:attribute name="style">font-face:Arial;font-size:10;font-bold:no;font-italic:no;font-underline:no;font-color:red;alignment:center;</xsl:attribute>
      	</text>

    </xsl:if>

    <ellipse editstyle="edit:no;resize:no;move:yes;rotate:no">
      <xsl:attribute name="id">r1_<xsl:value-of select="generate-id(current())"/></xsl:attribute>

      <!-- @07<5I5=85 =0 AE5<5 -->
      <xsl:attribute name="x">0</xsl:attribute>
      <xsl:attribute name="y">0</xsl:attribute>
      <xsl:attribute name="width">7</xsl:attribute>
      <xsl:attribute name="height">7</xsl:attribute>
      
      <!-- F25B D>=0 8 3@0=8FK -->
      <xsl:attribute name="style">border-width:1.0;border-color:<xsl:value-of select="reaction:EF(.)"/>;fill-color:<xsl:value-of select="reaction:AT(.)"/></xsl:attribute>
      
    </ellipse>
    
	
    
    </group>
  </xsl:template>


<!--  ==========================================================================  -->
  	<xsl:template match="gene"> 
		<group editstyle="edit:no;resize:no;move:yes;rotate:no">
	     <xsl:attribute name="id"><xsl:value-of select="@id"/></xsl:attribute>
    	
			<!-- @07<5I5=85 =0 AE5<5 -->
	     <xsl:attribute name="x"><xsl:value-of select="x"/></xsl:attribute>
	     <xsl:attribute name="y"><xsl:value-of select="y"/></xsl:attribute>
	      
	     <!-- :0@B8=:0 -->
			<segment editstyle="edit:no;resize:no;move:yes;rotate:no">
		     <xsl:attribute name="id">s0_<xsl:value-of select="generate-id(current())"/></xsl:attribute>
		     <xsl:attribute name="x1">-2</xsl:attribute>
		     <xsl:attribute name="y1">18</xsl:attribute>
		     <xsl:attribute name="x2">38</xsl:attribute>
		     <xsl:attribute name="y2">18</xsl:attribute>
	       	<xsl:attribute name="style">width:0;color:black</xsl:attribute>
			</segment>
			
			<segment editstyle="edit:no;resize:no;move:yes;rotate:no">
		     <xsl:attribute name="id">s1_<xsl:value-of select="generate-id(current())"/></xsl:attribute>
		     <xsl:attribute name="x1">18</xsl:attribute>
		     <xsl:attribute name="y1">18</xsl:attribute>
		     <xsl:attribute name="x2">18</xsl:attribute>
		     <xsl:attribute name="y2">2</xsl:attribute>
		     <xsl:attribute name="style">width:0;color:black</xsl:attribute>
			</segment>

			<segment editstyle="edit:no;resize:no;move:yes;rotate:no">
		     <xsl:attribute name="id">s2_<xsl:value-of select="generate-id(current())"/></xsl:attribute>
		     <xsl:attribute name="x1">18</xsl:attribute>
		     <xsl:attribute name="y1">2</xsl:attribute>
		     <xsl:attribute name="x2">32</xsl:attribute>
		     <xsl:attribute name="y2">2</xsl:attribute>
	      	<xsl:attribute name="style">width:0;color:black</xsl:attribute>
			</segment>
			
			<segment editstyle="edit:no;resize:no;move:yes;rotate:no">
		     <xsl:attribute name="id">s3_<xsl:value-of select="generate-id(current())"/></xsl:attribute>
		     <xsl:attribute name="x1">26</xsl:attribute>
		     <xsl:attribute name="y1">-2</xsl:attribute>
		     <xsl:attribute name="x2">32</xsl:attribute>
		     <xsl:attribute name="y2">2</xsl:attribute>
	      	<xsl:attribute name="style">width:0;color:black</xsl:attribute>
			</segment>

			<segment editstyle="edit:no;resize:no;move:yes;rotate:no">
		     <xsl:attribute name="id">s4_<xsl:value-of select="generate-id(current())"/></xsl:attribute>
		     <xsl:attribute name="x1">26</xsl:attribute>
		     <xsl:attribute name="y1">6</xsl:attribute>
		     <xsl:attribute name="x2">32</xsl:attribute>
		     <xsl:attribute name="y2">2</xsl:attribute>
	      	<xsl:attribute name="style">width:0;color:black</xsl:attribute>
			</segment>
			
	    	<rect editstyle="edit:no;resize:no;move:yes;rotate:no">
		     <xsl:attribute name="id">r_<xsl:value-of select="generate-id(current())"/></xsl:attribute>
		
		     <!-- @07<5I5=85 =0 AE5<5 -->
		     <xsl:attribute name="x">4</xsl:attribute>
		     <xsl:attribute name="y">12</xsl:attribute>
		     <xsl:attribute name="width">28</xsl:attribute>
		     <xsl:attribute name="height">12</xsl:attribute>
		      
		      <!-- F25B D>=0 8 3@0=8FK -->
		      <xsl:attribute name="style">border-width:0;border-color:black;fill-color:darkgoldenrod</xsl:attribute>
	    	</rect>

      	<!-- ?>4?8AL --> 
      	<text editstyle="edit:no;resize:no;move:yes;rotate:no">
       		<xsl:attribute name="id">t_<xsl:value-of select="generate-id(current())"/></xsl:attribute>
  
        	<!-- =0720=85 -->
        	<xsl:attribute name="string"><xsl:value-of select="gene:NM(.)"/></xsl:attribute>
  
	       	<!-- @07<5I5=85 =0 AE5<5 (>B=>A8B5;L=> :>>@48=0B 3@C??K) -->
        	<xsl:attribute name="x">18</xsl:attribute>
        	<xsl:attribute name="y">28</xsl:attribute>
  
        	<!-- AB8;L (D>=B,F25B 1C:2, ?>4;>6:8 8 3@0=8FK) -->
        	<xsl:attribute name="style">font-face:Arial;font-size:10;font-bold:no;font-italic:no;font-underline:no;font-color:black;alignment:center;</xsl:attribute>
      	</text>
      
		</group>
  	</xsl:template>
<!--   ==========================================================================  -->
  	<xsl:template match="operon"> 
		<group editstyle="edit:no;resize:no;move:yes;rotate:no">
	     <xsl:attribute name="id"><xsl:value-of select="@id"/></xsl:attribute>
    	
			<!-- @07<5I5=85 =0 AE5<5 -->
	     <xsl:attribute name="x"><xsl:value-of select="x"/></xsl:attribute>
	     <xsl:attribute name="y"><xsl:value-of select="y"/></xsl:attribute>
	      
	     <!-- :0@B8=:0 -->
			<segment editstyle="edit:no;resize:no;move:yes;rotate:no">
		     <xsl:attribute name="id">s0_<xsl:value-of select="generate-id(current())"/></xsl:attribute>
		     <xsl:attribute name="x1">-4</xsl:attribute>
		     <xsl:attribute name="y1">18</xsl:attribute>
		     <xsl:attribute name="x2">40</xsl:attribute>
		     <xsl:attribute name="y2">18</xsl:attribute>
	       	<xsl:attribute name="style">width:0;color:black</xsl:attribute>
			</segment>
			
			<segment editstyle="edit:no;resize:no;move:yes;rotate:no">
		     <xsl:attribute name="id">s1_<xsl:value-of select="generate-id(current())"/></xsl:attribute>
		     <xsl:attribute name="x1">8</xsl:attribute>
		     <xsl:attribute name="y1">18</xsl:attribute>
		     <xsl:attribute name="x2">8</xsl:attribute>
		     <xsl:attribute name="y2">2</xsl:attribute>
		     <xsl:attribute name="style">width:0;color:black</xsl:attribute>
			</segment>

			<segment editstyle="edit:no;resize:no;move:yes;rotate:no">
		     <xsl:attribute name="id">s2_<xsl:value-of select="generate-id(current())"/></xsl:attribute>
		     <xsl:attribute name="x1">8</xsl:attribute>
		     <xsl:attribute name="y1">2</xsl:attribute>
		     <xsl:attribute name="x2">20</xsl:attribute>
		     <xsl:attribute name="y2">2</xsl:attribute>
	      	<xsl:attribute name="style">width:0;color:black</xsl:attribute>
			</segment>
			
			<segment editstyle="edit:no;resize:no;move:yes;rotate:no">
		     <xsl:attribute name="id">s3_<xsl:value-of select="generate-id(current())"/></xsl:attribute>
		     <xsl:attribute name="x1">16</xsl:attribute>
		     <xsl:attribute name="y1">-2</xsl:attribute>
		     <xsl:attribute name="x2">20</xsl:attribute>
		     <xsl:attribute name="y2">2</xsl:attribute>
	      	<xsl:attribute name="style">width:0;color:black</xsl:attribute>
			</segment>

			<segment editstyle="edit:no;resize:no;move:yes;rotate:no">
		     <xsl:attribute name="id">s4_<xsl:value-of select="generate-id(current())"/></xsl:attribute>
		     <xsl:attribute name="x1">16</xsl:attribute>
		     <xsl:attribute name="y1">6</xsl:attribute>
		     <xsl:attribute name="x2">20</xsl:attribute>
		     <xsl:attribute name="y2">2</xsl:attribute>
	      	<xsl:attribute name="style">width:0;color:black</xsl:attribute>
			</segment>

<!--  /// -->
			<segment editstyle="edit:no;resize:no;move:yes;rotate:no">
		     <xsl:attribute name="id">s5_<xsl:value-of select="generate-id(current())"/></xsl:attribute>
		     <xsl:attribute name="x1">22</xsl:attribute>
		     <xsl:attribute name="y1">18</xsl:attribute>
		     <xsl:attribute name="x2">22</xsl:attribute>
		     <xsl:attribute name="y2">2</xsl:attribute>
		     <xsl:attribute name="style">width:0;color:black</xsl:attribute>
			</segment>

			<segment editstyle="edit:no;resize:no;move:yes;rotate:no">
		     <xsl:attribute name="id">s6_<xsl:value-of select="generate-id(current())"/></xsl:attribute>
		     <xsl:attribute name="x1">22</xsl:attribute>
		     <xsl:attribute name="y1">2</xsl:attribute>
		     <xsl:attribute name="x2">34</xsl:attribute>
		     <xsl:attribute name="y2">2</xsl:attribute>
	      	<xsl:attribute name="style">width:0;color:black</xsl:attribute>
			</segment>
			
			<segment editstyle="edit:no;resize:no;move:yes;rotate:no">
		     <xsl:attribute name="id">s7_<xsl:value-of select="generate-id(current())"/></xsl:attribute>
		     <xsl:attribute name="x1">30</xsl:attribute>
		     <xsl:attribute name="y1">-2</xsl:attribute>
		     <xsl:attribute name="x2">34</xsl:attribute>
		     <xsl:attribute name="y2">2</xsl:attribute>
	      	<xsl:attribute name="style">width:0;color:black</xsl:attribute>
			</segment>

			<segment editstyle="edit:no;resize:no;move:yes;rotate:no">
		     <xsl:attribute name="id">s8_<xsl:value-of select="generate-id(current())"/></xsl:attribute>
		     <xsl:attribute name="x1">30</xsl:attribute>
		     <xsl:attribute name="y1">6</xsl:attribute>
		     <xsl:attribute name="x2">34</xsl:attribute>
		     <xsl:attribute name="y2">2</xsl:attribute>
	      	<xsl:attribute name="style">width:0;color:black</xsl:attribute>
			</segment>


			
	    	<rect editstyle="edit:no;resize:no;move:yes;rotate:no">
		     <xsl:attribute name="id">r_<xsl:value-of select="generate-id(current())"/></xsl:attribute>
		
		     <!-- @07<5I5=85 =0 AE5<5 -->
		     <xsl:attribute name="x">2</xsl:attribute>
		     <xsl:attribute name="y">12</xsl:attribute>
		     <xsl:attribute name="width">30</xsl:attribute>
		     <xsl:attribute name="height">12</xsl:attribute>
		      
		      <!-- F25B D>=0 8 3@0=8FK -->
		      <xsl:attribute name="style">border-width:0;border-color:black;fill-color:yellow</xsl:attribute>
	    	</rect>

      	<!-- ?>4?8AL --> 
      	<text editstyle="edit:no;resize:no;move:yes;rotate:no">
       		<xsl:attribute name="id">t_<xsl:value-of select="generate-id(current())"/></xsl:attribute>
  
        	<!-- =0720=85 -->
        	<xsl:attribute name="string"><xsl:value-of select="gene:NM(.)"/></xsl:attribute>
  
	       	<!-- @07<5I5=85 =0 AE5<5 (>B=>A8B5;L=> :>>@48=0B 3@C??K) -->
        	<xsl:attribute name="x">18</xsl:attribute>
        	<xsl:attribute name="y">28</xsl:attribute>
  
        	<!-- AB8;L (D>=B,F25B 1C:2, ?>4;>6:8 8 3@0=8FK) -->
        	<xsl:attribute name="style">font-face:Arial;font-size:10;font-bold:no;font-italic:no;font-underline:no;font-color:black;alignment:center;</xsl:attribute>
      	</text>
      
		</group>
  	</xsl:template>

<!-- RNA ==========================================================================  -->
  	<xsl:template match="rna"> 
		<group editstyle="edit:no;resize:no;move:yes;rotate:no">
	     <xsl:attribute name="id"><xsl:value-of select="@id"/></xsl:attribute>
    	
			<!-- @07<5I5=85 =0 AE5<5 -->
	     <xsl:attribute name="x"><xsl:value-of select="x"/></xsl:attribute>
	     <xsl:attribute name="y"><xsl:value-of select="y"/></xsl:attribute>
	      
	     <!-- :0@B8=:0 -->
			<segment x1="-16" y1="-8" x2="-12" y2="-1" style="width:0;color:black" editstyle="edit:no;resize:no;move:yes;rotate:no"><xsl:attribute name="id">s0_<xsl:value-of select="generate-id(current())"/></xsl:attribute></segment>
			<segment x1="-12" y1="-1" x2="-8"  y2="-8" style="width:0;color:black" editstyle="edit:no;resize:no;move:yes;rotate:no"><xsl:attribute name="id">s1_<xsl:value-of select="generate-id(current())"/></xsl:attribute></segment>
			<segment x1="-8"  y1="-8" x2="-4"  y2="-1" style="width:0;color:black" editstyle="edit:no;resize:no;move:yes;rotate:no"><xsl:attribute name="id">s2_<xsl:value-of select="generate-id(current())"/></xsl:attribute></segment>
			<segment x1="-4"  y1="-1" x2="0"   y2="-8" style="width:0;color:black" editstyle="edit:no;resize:no;move:yes;rotate:no"><xsl:attribute name="id">s3_<xsl:value-of select="generate-id(current())"/></xsl:attribute></segment>
			<segment x1="0"   y1="-8" x2="4"   y2="-1" style="width:0;color:black" editstyle="edit:no;resize:no;move:yes;rotate:no"><xsl:attribute name="id">s4_<xsl:value-of select="generate-id(current())"/></xsl:attribute></segment>
			<segment x1="4"   y1="-1" x2="8"   y2="-8" style="width:0;color:black" editstyle="edit:no;resize:no;move:yes;rotate:no"><xsl:attribute name="id">s5_<xsl:value-of select="generate-id(current())"/></xsl:attribute></segment>
			<segment x1="8"   y1="-8" x2="12"  y2="-1" style="width:0;color:black" editstyle="edit:no;resize:no;move:yes;rotate:no"><xsl:attribute name="id">s6_<xsl:value-of select="generate-id(current())"/></xsl:attribute></segment>
			<segment x1="12"  y1="-1" x2="16"  y2="-8" style="width:0;color:black" editstyle="edit:no;resize:no;move:yes;rotate:no"><xsl:attribute name="id">s7_<xsl:value-of select="generate-id(current())"/></xsl:attribute></segment>

      	<!-- ?>4?8AL --> 
      	<text x="0" y="2" style="font-face:Arial;font-size:10;font-bold:no;font-italic:no;font-underline:no;font-color:black;alignment:center;" editstyle="edit:no;resize:no;move:yes;rotate:no">
       		<xsl:attribute name="id">t_<xsl:value-of select="generate-id(current())"/></xsl:attribute>
        	<xsl:attribute name="string"><xsl:value-of select="rna:NM(.)"/></xsl:attribute>
      	</text>
      
		</group>
  	</xsl:template>

<!-- !#!"&/ ==========================================================================  -->
  	<xsl:template match="substance"> 
		<group editstyle="edit:no;resize:no;move:yes;rotate:no">
	     <xsl:attribute name="id"><xsl:value-of select="@id"/></xsl:attribute>
    	
			<!-- @07<5I5=85 =0 AE5<5 -->
	     <xsl:attribute name="x"><xsl:value-of select="x"/></xsl:attribute>
	     <xsl:attribute name="y"><xsl:value-of select="y"/></xsl:attribute>
	      
	     <!-- :0@B8=:0 -->
	    	<rect editstyle="edit:no;resize:no;move:yes;rotate:no">
		     <xsl:attribute name="id">r_<xsl:value-of select="generate-id(current())"/></xsl:attribute>
		
		     <!-- @07<5I5=85 =0 AE5<5 -->
		     <xsl:attribute name="x">-12</xsl:attribute>
		     <xsl:attribute name="y">-12</xsl:attribute>
		     <xsl:attribute name="width">24</xsl:attribute>
		     <xsl:attribute name="height">24</xsl:attribute>
		      
		      <!-- F25B D>=0 8 3@0=8FK -->
		      <xsl:attribute name="style">border-width:0;border-color:black;fill-color:slateblue</xsl:attribute>
	    	</rect>

      	<!-- ?>4?8AL --> 
      	<text editstyle="edit:no;resize:no;move:yes;rotate:no">
       		<xsl:attribute name="id">t_<xsl:value-of select="generate-id(current())"/></xsl:attribute>
  
        	<!-- =0720=85 -->
        	<xsl:attribute name="string"><xsl:value-of select="object/sn"/></xsl:attribute>
  
	       	<!-- @07<5I5=85 =0 AE5<5 (>B=>A8B5;L=> :>>@48=0B 3@C??K) -->
        	<xsl:attribute name="x">0</xsl:attribute>
        	<xsl:attribute name="y">14</xsl:attribute>
  
        	<!-- AB8;L (D>=B,F25B 1C:2, ?>4;>6:8 8 3@0=8FK) -->
        	<xsl:attribute name="style">font-face:Arial;font-size:10;font-bold:no;font-italic:no;font-underline:no;font-color:black;alignment:center;</xsl:attribute>
      	</text>
      
		</group>
  	</xsl:template>

<!--  " ==========================================================================  -->
  <xsl:template match="protein"> <!-- ?@>B58= ?@52@0I05BAO 2 :0@B8=:C (7028A8B >B 7=0G5=89 ?0@0<5B@>2) A ?>4?8ALN --> 
    <group editstyle="edit:no;resize:no;move:yes;rotate:no">
      <xsl:attribute name="id"><xsl:value-of select="@id"/></xsl:attribute>
      
      <!-- @07<5I5=85 =0 AE5<5 -->
      <xsl:attribute name="x"><xsl:value-of select="x"/></xsl:attribute>
      <xsl:attribute name="y"><xsl:value-of select="y"/></xsl:attribute>

      
      <!-- :0@B8=:0 -->
      <xsl:choose>
        <xsl:when test="object/mm='monomer'">
          <!-- 4;O <>=><5@>2 >48= 1>;LH>9 :@C3-->
          <ellipse editstyle="edit:no;resize:no;move:yes;rotate:no">
            <xsl:attribute name="id">i_<xsl:value-of select="generate-id(current())"/></xsl:attribute>
      
            <!-- @07<5I5=85 =0 AE5<5 (>B=>A8B5;L=> :>>@48=0B 3@C??K) -->
            <xsl:attribute name="x">0</xsl:attribute>
            <xsl:attribute name="y">0</xsl:attribute>
            <xsl:attribute name="width">32</xsl:attribute>
            <xsl:attribute name="height">32</xsl:attribute>
            
            <!-- F25B D>=0 8 3@0=8FK -->
            <xsl:attribute name="style">border-color:black;border-width:0;fill-color:<xsl:value-of select="protein:FN(.)"/></xsl:attribute>
            
          </ellipse>
        </xsl:when>
        
        <xsl:when test="object/mm='homodimer'">
          <!-- 4;O 3><>48<5@>2 - 420 M;;8?A0 @O4>< -->
          <ellipse editstyle="edit:no;resize:no;move:yes;rotate:no">
            <xsl:attribute name="id">i_<xsl:value-of select="generate-id(current())"/></xsl:attribute>
      
            <!-- @07<5I5=85 =0 AE5<5 (>B=>A8B5;L=> :>>@48=0B 3@C??K) -->
            <xsl:attribute name="x">0</xsl:attribute>
            <xsl:attribute name="y">0</xsl:attribute>
            <xsl:attribute name="width">20</xsl:attribute>
            <xsl:attribute name="height">32</xsl:attribute>
            
            <!-- F25B D>=0 8 3@0=8FK -->
            <xsl:attribute name="style">border-color:black;border-width:0;fill-color:<xsl:value-of select="protein:FN(.)"/></xsl:attribute>
            
          </ellipse>
          <ellipse editstyle="edit:no;resize:no;move:yes;rotate:no">
            <xsl:attribute name="id">j_<xsl:value-of select="generate-id(current())"/></xsl:attribute>
      
            <!-- @07<5I5=85 =0 AE5<5 (>B=>A8B5;L=> :>>@48=0B 3@C??K) -->
            <xsl:attribute name="x">12</xsl:attribute>
            <xsl:attribute name="y">0</xsl:attribute>
            <xsl:attribute name="width">20</xsl:attribute>
            <xsl:attribute name="height">32</xsl:attribute>
            
            <!-- F25B D>=0 8 3@0=8FK -->
            <xsl:attribute name="style">border-color:black;border-width:0;fill-color:<xsl:value-of select="protein:FN(.)"/></xsl:attribute>
            
          </ellipse>
        </xsl:when>

        <xsl:when test="object/mm='heterodimer'">
          <!-- 4;O 3><>48<5@>2 - 420 M;;8?A0 @O4>< -->
          <ellipse editstyle="edit:no;resize:no;move:yes;rotate:no">
            <xsl:attribute name="id">i_<xsl:value-of select="generate-id(current())"/></xsl:attribute>
      
            <!-- @07<5I5=85 =0 AE5<5 (>B=>A8B5;L=> :>>@48=0B 3@C??K) -->
            <xsl:attribute name="x">0</xsl:attribute>
            <xsl:attribute name="y">0</xsl:attribute>
            <xsl:attribute name="width">20</xsl:attribute>
            <xsl:attribute name="height">20</xsl:attribute>
            
            <!-- F25B D>=0 8 3@0=8FK -->
            <xsl:attribute name="style">border-color:black;border-width:0;fill-color:<xsl:value-of select="protein:FN(.)"/></xsl:attribute>
            
          </ellipse>
          <ellipse editstyle="edit:no;resize:no;move:yes;rotate:no">
            <xsl:attribute name="id">j_<xsl:value-of select="generate-id(current())"/></xsl:attribute>
      
            <!-- @07<5I5=85 =0 AE5<5 (>B=>A8B5;L=> :>>@48=0B 3@C??K) -->
            <xsl:attribute name="x">12</xsl:attribute>
            <xsl:attribute name="y">0</xsl:attribute>
            <xsl:attribute name="width">20</xsl:attribute>
            <xsl:attribute name="height">32</xsl:attribute>
            
            <!-- F25B D>=0 8 3@0=8FK -->
            <xsl:attribute name="style">border-color:black;border-width:0;fill-color:<xsl:value-of select="protein:FN(.)"/></xsl:attribute>
            
          </ellipse>
        </xsl:when>

        <xsl:when test="object/mm='multimer'">
          <!-- 4;O <C;LB8<5@>2 - B@8 :@C30 C C3;0E @02=>AB>@>==53> B@5C3>L=8:0 -->
          <ellipse editstyle="edit:no;resize:no;move:yes;rotate:no">
            <xsl:attribute name="id">i_<xsl:value-of select="generate-id(current())"/></xsl:attribute>
      
            <!-- @07<5I5=85 =0 AE5<5 (>B=>A8B5;L=> :>>@48=0B 3@C??K) -->
            <xsl:attribute name="x">5</xsl:attribute>
            <xsl:attribute name="y">0</xsl:attribute>
            <xsl:attribute name="width">17</xsl:attribute>
            <xsl:attribute name="height">17</xsl:attribute>
            
            <!-- F25B D>=0 8 3@0=8FK -->
            <xsl:attribute name="style">border-color:black;border-width:0;fill-color:<xsl:value-of select="protein:FN(.)"/></xsl:attribute>
            
          </ellipse>
          <ellipse editstyle="edit:no;resize:no;move:yes;rotate:no">
            <xsl:attribute name="id">j_<xsl:value-of select="generate-id(current())"/></xsl:attribute>
      
            <!-- @07<5I5=85 =0 AE5<5 (>B=>A8B5;L=> :>>@48=0B 3@C??K) -->
            <xsl:attribute name="x">-4</xsl:attribute>
            <xsl:attribute name="y">14</xsl:attribute>
            <xsl:attribute name="width">17</xsl:attribute>
            <xsl:attribute name="height">17</xsl:attribute>
            
            <!-- F25B D>=0 8 3@0=8FK -->
            <xsl:attribute name="style">border-color:black;border-width:0;fill-color:<xsl:value-of select="protein:FN(.)"/></xsl:attribute>
            
          </ellipse>
          <ellipse editstyle="edit:no;resize:no;move:yes;rotate:no">
            <xsl:attribute name="id">k_<xsl:value-of select="generate-id(current())"/></xsl:attribute>
      
            <!-- @07<5I5=85 =0 AE5<5 (>B=>A8B5;L=> :>>@48=0B 3@C??K) -->
            <xsl:attribute name="x">14</xsl:attribute>
            <xsl:attribute name="y">14</xsl:attribute>
            <xsl:attribute name="width">17</xsl:attribute>
            <xsl:attribute name="height">17</xsl:attribute>
            
            <!-- F25B D>=0 8 3@0=8FK -->
            <xsl:attribute name="style">border-color:black;border-width:0;fill-color:<xsl:value-of select="protein:FN(.)"/></xsl:attribute>
            
          </ellipse>
        </xsl:when>
        <xsl:otherwise>
          <ellipse editstyle="edit:no;resize:no;move:yes;rotate:no">
            <xsl:attribute name="id">i_<xsl:value-of select="generate-id(current())"/></xsl:attribute>
      
            <!-- @07<5I5=85 =0 AE5<5 (>B=>A8B5;L=> :>>@48=0B 3@C??K) -->
            <xsl:attribute name="x">0</xsl:attribute>
            <xsl:attribute name="y">0</xsl:attribute>
            <xsl:attribute name="width">32</xsl:attribute>
            <xsl:attribute name="height">32</xsl:attribute>
            
            <!-- F25B D>=0 8 3@0=8FK -->
            <xsl:attribute name="style">border-color:black;border-width:0;fill-color:<xsl:value-of select="protein:FN(.)"/></xsl:attribute>
            
          </ellipse>
        </xsl:otherwise>
      </xsl:choose>
        
      <!-- ?>;5 MD (modififcation) >?@545;O5B =0;8G85 4>?>;=8B5;L=>3> M;5<5=B0 2 :0@B8=:5 -->    
      <xsl:choose>
        <xsl:when test="object/md='phosphorylated'">
          <ellipse editstyle="edit:no;resize:no;move:yes;rotate:no">
            <xsl:attribute name="id">I_<xsl:value-of select="generate-id(current())"/></xsl:attribute>
      
            <!-- @07<5I5=85 =0 AE5<5 (>B=>A8B5;L=> :>>@48=0B 3@C??K) -->
            <xsl:attribute name="x">24</xsl:attribute>
            <xsl:attribute name="y">2</xsl:attribute>
            <xsl:attribute name="width">7</xsl:attribute>
            <xsl:attribute name="height">7</xsl:attribute>
            
            <!-- F25B D>=0 8 3@0=8FK -->
            <xsl:attribute name="style">border-color:white;border-width:0;fill-color:red</xsl:attribute>
            
          </ellipse>
        </xsl:when>

<!-- hyperphosphorylated
        -->
        <xsl:when test="object/md='hyperphosphorylated'">
        <!-- first-->
          <ellipse editstyle="edit:no;resize:no;move:yes;rotate:no">
            <xsl:attribute name="id">I_<xsl:value-of select="generate-id(current())"/></xsl:attribute>
            
            <xsl:attribute name="x">24</xsl:attribute>
            <xsl:attribute name="y">2</xsl:attribute>
            <xsl:attribute name="width">7</xsl:attribute>
            <xsl:attribute name="height">7</xsl:attribute>
            
            <xsl:attribute name="style">border-color:white;border-width:0;fill-color:red</xsl:attribute>
          </ellipse >
          <!-- second -->
        	<ellipse editstyle="edit:no;resize:no;move:yes;rotate:no">
            <xsl:attribute name="id">I_<xsl:value-of select="generate-id(current())"/></xsl:attribute>
            
            <xsl:attribute name="x">28</xsl:attribute>
            <xsl:attribute name="y">6</xsl:attribute>
            <xsl:attribute name="width">7</xsl:attribute>
            <xsl:attribute name="height">7</xsl:attribute>
            
            <xsl:attribute name="style">border-color:white;border-width:0;fill-color:red</xsl:attribute>
        	
 		</ellipse>
        </xsl:when>
 		
        
      </xsl:choose>
        
      <!-- ?>4?8AL --> 
      <text editstyle="edit:no;resize:no;move:yes;rotate:no">
        <xsl:attribute name="id">t_<xsl:value-of select="generate-id(current())"/></xsl:attribute>
  
        <!-- =0720=85 -->
        <xsl:attribute name="string"><xsl:value-of select="protein:NM(.)"/></xsl:attribute>
  
        <!-- @07<5I5=85 =0 AE5<5 (>B=>A8B5;L=> :>>@48=0B 3@C??K) -->
        <xsl:attribute name="x">16</xsl:attribute>
        <xsl:attribute name="y">34</xsl:attribute>
  
        <!-- AB8;L (D>=B,F25B 1C:2, ?>4;>6:8 8 3@0=8FK) -->
        <xsl:attribute name="style">font-face:Arial;font-size:10;font-bold:no;font-italic:no;font-underline:no;font-color:black;alignment:center;</xsl:attribute>
      </text>
      
    </group>
  </xsl:template>

</xsl:stylesheet>

