<xsl:stylesheet 	xmlns:xsl="http://www.w3.org/1999/XSL/Transform" 
                	xmlns:msxsl="urn:schemas-microsoft-com:xslt" 
	             	xmlns:protein="http://wwwmgs.bionet.nsc.ru/proteinnamespace"
	             	xmlns:gene="http://wwwmgs.bionet.nsc.ru/genenamespace"
	             	xmlns:rna="http://wwwmgs.bionet.nsc.ru/rnanamespace"
  	           		xmlns:reaction="http://wwwmgs.bionet.nsc.ru/reactionnamespace"
             version="1.0">
            
  <msxsl:script language="JScript" implements-prefix="gene">
    function NM(nodelist) 
      {
      node = nodelist.nextNode();
      
      var name = "";

      sn = node.selectSingleNode("object/sn");
      if (sn)
        name = sn.text;
      else
        {
        nm = node.selectSingleNode("object/nm");
        if (nm)
          name = nm.text;
        }
        
      var osn = "";
      
      oss = node.selectNodes("object/os/Latin");
      for (j = 0; j &lt; oss.length; j++)
        {
        os = oss.item(j);
        
        if (os)
          {
          ost = os.text;
          
          n = ost.indexOf("(");
          if (n != -1)
            ost = ost.substr(0, n);
  
          ss = ost.split(" ");
          ost = "";
          for (i = 0; i &lt; ss.length; i++)
            ost += ss[i].charAt(0);
                        
          }
          
        if (j > 0)
          osn += ",";
        
        osn += ost;
        }
        
      if (osn != "")
        name += "\n" + "(" + osn + ")";
diagram = node.selectSingleNode("connect");
        if(diagram)
	        {
		            name += "\n" +"[ from: "+diagram.text+"]";
			            }
      return name;
      }
  
  </msxsl:script>

  <msxsl:script language="JScript" implements-prefix="protein">
    
    
    function NM(nodelist) 
      {
      	node = nodelist.nextNode();
      
      	var name = "";

      	sn = node.selectSingleNode("object/sn");
      	SN = node.selectSingleNode("object/SN");

      	if (SN)
        	name = SN.text;
      	else  if(sn)
        	{
        		name = sn.text;
        	}
      	else
        	{
        		nm = node.selectSingleNode("object/nm");
        		if (nm)
          	name = nm.text;
        	}
        
      	var osn = "";
      
      	oss = node.selectNodes("object/os/Latin");
      	for (j = 0; j &lt; oss.length; j++)
        	{
        		os = oss.item(j);
        
       		 if (os)
          	{
          		ost = os.text;
          
          		n = ost.indexOf("(");
          		if (n != -1)
            		ost = ost.substr(0, n);
  
          		ss = ost.split(" ");
          		ost = "";
          		for (i = 0; i &lt; ss.length; i++)
            			ost += ss[i].charAt(0);
                        
          	}
          
        		if (j > 0)
         			 osn += ",";
        
       		 osn += ost;
        }
        
      if (osn != "")
        name += "\n" + "(" + osn + ")";

diagram = node.selectSingleNode("connect");
        if(diagram)
	        {
		         name += "\n" +"[ from: "+diagram.text+"]";
		   }
      return name;
        }
    function FN(nodelist) 
      {
      	fn = nodelist.nextNode().selectSingleNode("object/fn");
      
      	if (fn)
        {
        if (fn.text == "active")
          return "crimson"
        else if (fn.text == "inactive")
          return "forestgreen"
        }
  
      return "sandybrown"
        }

  
  </msxsl:script>



  <msxsl:script language="JScript" implements-prefix="rna">
    function NM(nodelist) 
      {
      node = nodelist.nextNode();
      
      var name = "";

      sn = node.selectSingleNode("object/sn");
      if (sn)
        name = sn.text;
      else
        {
        nm = node.selectSingleNode("object/nm");
        if (nm)
          name = nm.text;
        }
        
      var osn = "";
      
      oss = node.selectNodes("object/os/Latin"); 
      for (j = 0; j &lt; oss.length; j++)
        {
        os = oss.item(j);
        
        if (os)
          {
          ost = os.text;
          
          n = ost.indexOf("(");
          if (n != -1)
            ost = ost.substr(0, n);
  
          ss = ost.split(" ");
          ost = "";
          for (i = 0; i &lt; ss.length; i++)
            ost += ss[i].charAt(0);
                        
          }
          
        if (j > 0)
          osn += ",";
        
        osn += ost;
        }
        
      if (osn != "")
        name += "\n" + "(" + osn + ")";

diagram = node.selectSingleNode("connect");
        if(diagram)
	        {
		            name += "\n" +"[ from: "+diagram.text+"]";
			            }
      return name;
      }
  
  </msxsl:script>

  <msxsl:script language="JScript" implements-prefix="reaction">
    function EF(nodelist) 
      {
      ef = nodelist.nextNode().selectSingleNode("object/ef");
      if (ef)
        {
        if (ef.text == "direct")
          return "yellow"
        else if (ef.text == "indirect")
          return "green"
        }
 
      return "black"
        }
    function AT(nodelist) 
      {
      at = nodelist.nextNode().selectSingleNode("object/at");
      if (at)
        {
        if (at.text == "on" || at.text == "switch on")
          return "red"
        else if (at.text == "off" || at.text == "switch off")
          return "black"
        else if (at.text == "increase")
          return "hotpink"
        else if (at.text == "decrease")
          return "blue"
        }
  
      return "seagreen"
        }
    
     function Width(nodelist) 
      {
      ef = nodelist.nextNode().selectSingleNode("object/ef");
      if (ef)
        {
        if (ef.text == "direct")
          return "2.0"
        else if (ef.text == "indirect")
          return "1.0"
        }
  
      return "1.0"
       }

     function BWidth(nodelist) 
      {
      subschema = nodelist.nextNode().selectSingleNode("object/subschema");
      if (subschema)
        {
          return "3.0"
        }
  
      return "1.0"
       }

     function Dash(nodelist) 
      {
      ef = nodelist.nextNode().selectSingleNode("object/ef");
      if (ef)
        {
        if (ef.text == "direct")
          return "0"
        else if (ef.text == "indirect")
          return "1"
        }
  
      return "0"
       }
    function Type(nodelist) 
      {
      at = nodelist.nextNode().selectSingleNode("object/at");
      if (at)
        {
        if (at.text == "on" || at.text == "switch on")
          return "1"
        else if (at.text == "off" || at.text == "switch off")
          return "2"
        else if (at.text == "increase")
          return "1"
        else if (at.text == "decrease")
          return "3"
        }
  
      return "1"
        }

function evidence(nodelist)  
{
	evd = nodelist.nextNode().selectSingleNode("object/evidence");
	if(evd)
	{
		if(evd.text=="bioinformatical")
			return "80"
	}
	return "1000"
}
  
  </msxsl:script>
    
  <xsl:template match="/">
    <canvas style="fill-color:white">
    <xsl:apply-templates select="/diagram"/> 
    </canvas>
  </xsl:template>
  
  <xsl:template match="diagram">

    <diagram editstyle="edit:no;resize:yes;move:yes;rotate:no"> 
      <xsl:attribute name="id"><xsl:value-of select="@id"/></xsl:attribute>
      <xsl:attribute name="name"><xsl:value-of select="name"/></xsl:attribute>
      <xsl:attribute name="type">
        <xsl:choose>
          <xsl:when test="nm[.='oval']">ellipse</xsl:when>
          <xsl:when test="nm[.='rounded_rect']">roundedrect</xsl:when>
          <xsl:otherwise>rect</xsl:otherwise>
        </xsl:choose>
      </xsl:attribute>

      <xsl:attribute name="x"><xsl:value-of select="x"/></xsl:attribute>
      <xsl:attribute name="y"><xsl:value-of select="y"/></xsl:attribute>
      <xsl:attribute name="r"><xsl:value-of select="r"/></xsl:attribute>
      <xsl:attribute name="width"><xsl:value-of select="width"/></xsl:attribute>
      <xsl:attribute name="height"><xsl:value-of select="height"/></xsl:attribute>
      <xsl:attribute name="style"><xsl:if test="color">fill-color:<xsl:value-of select="color"/>;</xsl:if><xsl:if test="bordercolor">border-color:<xsl:value-of select="bordercolor"/>;</xsl:if>border-width:0;</xsl:attribute>
      
      <xsl:if test="ac">
        <title >
          <xsl:attribute name="id"><xsl:value-of select="generate-id(current())"/></xsl:attribute>
          <xsl:attribute name="string"><xsl:value-of select="ac"/></xsl:attribute>

          <xsl:attribute name="style">font-face:Arial;font-size:10;font-bold:yes;font-italic:no;font-underline:no;font-color:black;alignment:center</xsl:attribute>
          <xsl:attribute name="editstyle">edit:no;resize:no;move:no;rotate:no</xsl:attribute>

        </title>
      </xsl:if>
      
			<xsl:apply-templates select="objects/compartment" /> 
			<xsl:apply-templates select="objects/protein" /> 
			<xsl:apply-templates select="objects/gene" /> 
			<xsl:apply-templates select="objects/operon" />
			<xsl:apply-templates select="objects/rna" /> 
			<xsl:apply-templates select="objects/substance" />
			<xsl:apply-templates select="objects/process" />
			<xsl:apply-templates select="objects/reaction" />
     	
			<xsl:apply-templates select="links" />

    	</diagram>
  </xsl:template>
  
  <xsl:template match="links">
    <links>
      <xsl:apply-templates select="link" /> 
    </links>
  </xsl:template>
<!--//////////////////////////////////// LINK//////////////////////////////////////-->  
  <xsl:template match="link">
    <link editstyle="edit:no;resize:no;move:no;rotate:no">

    <xsl:choose>
        <xsl:when test="@filtered">      
	    <xsl:attribute name="style">
		<xsl:choose>
			<xsl:when test="name(//reaction[@id=current()/@source])='reaction'">
				<xsl:value-of select="concat('color:white;width:', reaction:Width(//reaction[@id=current()/@source]),';dashstyle:', reaction:Dash(//reaction[@id=current()/@source]),';alfa:',reaction:evidence(//reaction[@id=current()/@source]))"/>		
			</xsl:when>
          		<xsl:otherwise>
				<xsl:value-of select="concat('color:white;width:', reaction:Width(//reaction[@id=current()/@target]),';dashstyle:', reaction:Dash(//reaction[@id=current()/@target]),';alfa:',reaction:evidence(//reaction[@id=current()/@target]))"/>
			</xsl:otherwise>
        	</xsl:choose>
    	    </xsl:attribute> 
	</xsl:when>
        <xsl:otherwise>	
	    <xsl:attribute name="style">
		<xsl:choose>
			<xsl:when test="name(//reaction[@id=current()/@source])='reaction'">
				<xsl:value-of select="concat('color:',reaction:AT(//reaction[@id=current()/@source]),';width:', reaction:Width(//reaction[@id=current()/@source]),';dashstyle:', reaction:Dash(//reaction[@id=current()/@source]),';alfa:',reaction:evidence(//reaction[@id=current()/@source]))"/>		
			</xsl:when>
          		<xsl:otherwise>
				<xsl:value-of select="concat('color:',reaction:AT(//reaction[@id=current()/@target]),';width:', reaction:Width(//reaction[@id=current()/@target]),';dashstyle:', reaction:Dash(//reaction[@id=current()/@target]),';alfa:',reaction:evidence(//reaction[@id=current()/@target]))"/>
			</xsl:otherwise>
        	</xsl:choose>
        	
    	    </xsl:attribute> 
	</xsl:otherwise>
    </xsl:choose>

	<xsl:attribute name="type">
		<xsl:choose>
			<xsl:when test="name(//reaction[@id=current()/@source])='reaction'">
				<xsl:value-of select="reaction:Type(//reaction[@id=current()/@source])"/>		
			</xsl:when>
          		<xsl:otherwise>
				<xsl:value-of select="0"/>		
			</xsl:otherwise>
        	</xsl:choose>
        </xsl:attribute> 

      <xsl:attribute name="id">L_<xsl:value-of select="@source"/>_<xsl:value-of select="@target"/></xsl:attribute>
      
      <source>
        <xsl:attribute name="id"><xsl:value-of select="@source"/></xsl:attribute>
      </source>

      <target>
        <xsl:attribute name="id"><xsl:value-of select="@target"/></xsl:attribute>
      </target>
      
    </link>
  </xsl:template>
  
  <xsl:template match="compartment">
    <compartment editstyle="edit:no;resize:yes;move:yes;rotate:no">
      <xsl:attribute name="id"><xsl:value-of select="@id"/></xsl:attribute>
      <xsl:attribute name="type">
        <xsl:choose>
          <xsl:when test="nm[.='oval']">ellipse</xsl:when>
	  <xsl:when test="nm[.='rounded_rect']">roundedrect</xsl:when>
          <xsl:otherwise>rect</xsl:otherwise>
        </xsl:choose>
      </xsl:attribute>
      
      <xsl:attribute name="x"><xsl:value-of select="x"/></xsl:attribute>
      <xsl:attribute name="y"><xsl:value-of select="y"/></xsl:attribute>
      <xsl:attribute name="width"><xsl:value-of select="width"/></xsl:attribute>
      <xsl:attribute name="height"><xsl:value-of select="height"/></xsl:attribute>
      <xsl:if test="nm[.='rounded_rect']">
        <xsl:attribute name="r"><xsl:value-of select="r"/></xsl:attribute>
      </xsl:if>
      
      <xsl:attribute name="style">
        <xsl:choose>
          <xsl:when test="color">fill-color:<xsl:value-of select="color"/>;</xsl:when>
          <xsl:otherwise>fill-color:aqua;</xsl:otherwise>
        </xsl:choose>
        <xsl:choose>
          <xsl:when test="bordercolor">border-color:<xsl:value-of select="bordercolor"/>;</xsl:when>
          <xsl:otherwise>border-color:black;</xsl:otherwise>
        </xsl:choose>border-width:0;
      </xsl:attribute>
      
      <xsl:if test="object/ac">
        <title >
          <xsl:attribute name="id"><xsl:value-of select="generate-id(current())"/></xsl:attribute>
          <xsl:attribute name="string"><xsl:value-of select="object/ac"/></xsl:attribute>

          <xsl:attribute name="style">font-face:Arial;font-size:10;font-bold:yes;font-italic:no;font-underline:no;font-color:MidnightBlue;alignment:center;</xsl:attribute>
          <xsl:attribute name="editstyle">edit:no;resize:no;move:no;rotate:no</xsl:attribute>

        </title>
      </xsl:if>
      
			<xsl:apply-templates select="objects/compartment" /> 
			<xsl:apply-templates select="objects/protein" /> 
			<xsl:apply-templates select="objects/gene" />
			<xsl:apply-templates select="objects/rna" />
			<xsl:apply-templates select="objects/operon" />
			<xsl:apply-templates select="objects/substance" />
			<xsl:apply-templates select="objects/process" />
			<xsl:apply-templates select="objects/reaction" />
    
    	</compartment>
  </xsl:template>


  <xsl:template match="process">
    <text editstyle="edit:no;resize:no;move:yes;rotate:no">
      <xsl:attribute name="id"><xsl:value-of select="@id"/></xsl:attribute>


      <xsl:attribute name="string"><xsl:value-of select="object/nm"/></xsl:attribute>

      <xsl:attribute name="x"><xsl:value-of select="x"/></xsl:attribute>
      <xsl:attribute name="y"><xsl:value-of select="y"/></xsl:attribute>

      <xsl:attribute name="style">font-face:Arial;font-size:10;font-bold:no;font-italic:no;font-underline:no;font-color:black;alignment:center;border-color:blue;border-width:0;border-gap:2</xsl:attribute>
      
    </text>
  </xsl:template>
<!--//////////////////////////////////////////////////// REACTION////////////////////////////////////////////// -->
  <xsl:template match="reaction"> 
	<xsl:variable name="EvdBool">
			<xsl:value-of select="reaction:evidence(.)"/>
	</xsl:variable>
    <group editstyle="edit:no;resize:no;move:yes;rotate:no">
	<xsl:attribute name="id"><xsl:value-of select="@id"/></xsl:attribute>

	<xsl:attribute name="x"><xsl:value-of select="x"/></xsl:attribute>
	<xsl:attribute name="y"><xsl:value-of select="y"/></xsl:attribute>



    <xsl:if test="object/subschema">

    <ellipse editstyle="edit:no;resize:no;move:yes;rotate:no">
      <xsl:attribute name="id">r0_<xsl:value-of select="generate-id(current())"/></xsl:attribute>

      <xsl:attribute name="x">-2</xsl:attribute>
      <xsl:attribute name="y">-2</xsl:attribute>
      <xsl:attribute name="width">10</xsl:attribute>
      <xsl:attribute name="height">10</xsl:attribute>
      
      <xsl:attribute name="style">border-width:0.0;border-color:red;fill-color:red;alfa:<xsl:value-of select="$EvdBool"/></xsl:attribute>
      
    </ellipse>
     
	<text editstyle="edit:no;resize:no;move:yes;rotate:no">
       		<xsl:attribute name="id">t_<xsl:value-of select="generate-id(current())"/></xsl:attribute>
  
        	<xsl:attribute name="string">subschema</xsl:attribute>
  
        	<xsl:attribute name="x">6</xsl:attribute>
        	<xsl:attribute name="y">10</xsl:attribute>
  
        	<xsl:attribute name="style">font-face:Arial;font-size:10;font-bold:no;font-italic:no;font-underline:no;font-color:red;alignment:center;alfa:<xsl:value-of select="$EvdBool"/></xsl:attribute>
      	</text>

    </xsl:if>

    <ellipse editstyle="edit:no;resize:no;move:yes;rotate:no">
      <xsl:attribute name="id">r1_<xsl:value-of select="generate-id(current())"/></xsl:attribute>

      <xsl:attribute name="x">0</xsl:attribute>
      <xsl:attribute name="y">0</xsl:attribute>
      <xsl:attribute name="width">7</xsl:attribute>
      <xsl:attribute name="height">7</xsl:attribute>
      
      <xsl:attribute name="style">border-width:1.0;border-color:<xsl:value-of select="reaction:EF(.)"/>;fill-color:<xsl:value-of select="reaction:AT(.)"/>;alfa:<xsl:value-of select="$EvdBool"/></xsl:attribute>
      
    </ellipse>
    
	
    
    </group>
  </xsl:template>


  	<xsl:template match="gene"> 
		<group editstyle="edit:no;resize:no;move:yes;rotate:no">
	     <xsl:attribute name="id"><xsl:value-of select="@id"/></xsl:attribute>
    	
	     <xsl:attribute name="x"><xsl:value-of select="x"/></xsl:attribute>
	     <xsl:attribute name="y"><xsl:value-of select="y"/></xsl:attribute>
	      
			<segment editstyle="edit:no;resize:no;move:yes;rotate:no">
		     <xsl:attribute name="id">s0_<xsl:value-of select="generate-id(current())"/></xsl:attribute>
		     <xsl:attribute name="x1">-2</xsl:attribute>
		     <xsl:attribute name="y1">18</xsl:attribute>
		     <xsl:attribute name="x2">38</xsl:attribute>
		     <xsl:attribute name="y2">18</xsl:attribute>
	       	<xsl:attribute name="style">width:0;color:black</xsl:attribute>
			</segment>
			
			<segment editstyle="edit:no;resize:no;move:yes;rotate:no">
		     <xsl:attribute name="id">s1_<xsl:value-of select="generate-id(current())"/></xsl:attribute>
		     <xsl:attribute name="x1">18</xsl:attribute>
		     <xsl:attribute name="y1">18</xsl:attribute>
		     <xsl:attribute name="x2">18</xsl:attribute>
		     <xsl:attribute name="y2">2</xsl:attribute>
		     <xsl:attribute name="style">width:0;color:black</xsl:attribute>
			</segment>

			<segment editstyle="edit:no;resize:no;move:yes;rotate:no">
		     <xsl:attribute name="id">s2_<xsl:value-of select="generate-id(current())"/></xsl:attribute>
		     <xsl:attribute name="x1">18</xsl:attribute>
		     <xsl:attribute name="y1">2</xsl:attribute>
		     <xsl:attribute name="x2">32</xsl:attribute>
		     <xsl:attribute name="y2">2</xsl:attribute>
	      	<xsl:attribute name="style">width:0;color:black</xsl:attribute>
			</segment>
			
			<segment editstyle="edit:no;resize:no;move:yes;rotate:no">
		     <xsl:attribute name="id">s3_<xsl:value-of select="generate-id(current())"/></xsl:attribute>
		     <xsl:attribute name="x1">26</xsl:attribute>
		     <xsl:attribute name="y1">-2</xsl:attribute>
		     <xsl:attribute name="x2">32</xsl:attribute>
		     <xsl:attribute name="y2">2</xsl:attribute>
	      	<xsl:attribute name="style">width:0;color:black</xsl:attribute>
			</segment>

			<segment editstyle="edit:no;resize:no;move:yes;rotate:no">
		     <xsl:attribute name="id">s4_<xsl:value-of select="generate-id(current())"/></xsl:attribute>
		     <xsl:attribute name="x1">26</xsl:attribute>
		     <xsl:attribute name="y1">6</xsl:attribute>
		     <xsl:attribute name="x2">32</xsl:attribute>
		     <xsl:attribute name="y2">2</xsl:attribute>
	      	<xsl:attribute name="style">width:0;color:black</xsl:attribute>
			</segment>
			
	    	<rect editstyle="edit:no;resize:no;move:yes;rotate:no">
		     <xsl:attribute name="id">r_<xsl:value-of select="generate-id(current())"/></xsl:attribute>
		
		     <xsl:attribute name="x">4</xsl:attribute>
		     <xsl:attribute name="y">12</xsl:attribute>
		     <xsl:attribute name="width">28</xsl:attribute>
		     <xsl:attribute name="height">12</xsl:attribute>
		      
		      <xsl:attribute name="style">border-width:0;border-color:black;fill-color:darkgoldenrod</xsl:attribute>
	    	</rect>

      	<text editstyle="edit:no;resize:no;move:yes;rotate:no">
       		<xsl:attribute name="id">t_<xsl:value-of select="generate-id(current())"/></xsl:attribute>
  
        	<xsl:attribute name="string"><xsl:value-of select="gene:NM(.)"/></xsl:attribute>
  
        	<xsl:attribute name="x">18</xsl:attribute>
        	<xsl:attribute name="y">28</xsl:attribute>
  
        	<xsl:attribute name="style">font-face:Arial;font-size:10;font-bold:no;font-italic:no;font-underline:no;font-color:black;alignment:center;</xsl:attribute>
      	</text>
      
		</group>
  	</xsl:template>



  	<xsl:template match="operon"> 
		<group editstyle="edit:no;resize:no;move:yes;rotate:no">
	     <xsl:attribute name="id"><xsl:value-of select="@id"/></xsl:attribute>
    	
	     <xsl:attribute name="x"><xsl:value-of select="x"/></xsl:attribute>
	     <xsl:attribute name="y"><xsl:value-of select="y"/></xsl:attribute>
	      
			<segment editstyle="edit:no;resize:no;move:yes;rotate:no">
		     <xsl:attribute name="id">s0_<xsl:value-of select="generate-id(current())"/></xsl:attribute>
		     <xsl:attribute name="x1">-4</xsl:attribute>
		     <xsl:attribute name="y1">18</xsl:attribute>
		     <xsl:attribute name="x2">40</xsl:attribute>
		     <xsl:attribute name="y2">18</xsl:attribute>
	       	<xsl:attribute name="style">width:0;color:black</xsl:attribute>
			</segment>
			
			<segment editstyle="edit:no;resize:no;move:yes;rotate:no">
		     <xsl:attribute name="id">s1_<xsl:value-of select="generate-id(current())"/></xsl:attribute>
		     <xsl:attribute name="x1">8</xsl:attribute>
		     <xsl:attribute name="y1">18</xsl:attribute>
		     <xsl:attribute name="x2">8</xsl:attribute>
		     <xsl:attribute name="y2">2</xsl:attribute>
		     <xsl:attribute name="style">width:0;color:black</xsl:attribute>
			</segment>

			<segment editstyle="edit:no;resize:no;move:yes;rotate:no">
		     <xsl:attribute name="id">s2_<xsl:value-of select="generate-id(current())"/></xsl:attribute>
		     <xsl:attribute name="x1">8</xsl:attribute>
		     <xsl:attribute name="y1">2</xsl:attribute>
		     <xsl:attribute name="x2">20</xsl:attribute>
		     <xsl:attribute name="y2">2</xsl:attribute>
	      	<xsl:attribute name="style">width:0;color:black</xsl:attribute>
			</segment>
			
			<segment editstyle="edit:no;resize:no;move:yes;rotate:no">
		     <xsl:attribute name="id">s3_<xsl:value-of select="generate-id(current())"/></xsl:attribute>
		     <xsl:attribute name="x1">16</xsl:attribute>
		     <xsl:attribute name="y1">-2</xsl:attribute>
		     <xsl:attribute name="x2">20</xsl:attribute>
		     <xsl:attribute name="y2">2</xsl:attribute>
	      	<xsl:attribute name="style">width:0;color:black</xsl:attribute>
			</segment>

			<segment editstyle="edit:no;resize:no;move:yes;rotate:no">
		     <xsl:attribute name="id">s4_<xsl:value-of select="generate-id(current())"/></xsl:attribute>
		     <xsl:attribute name="x1">16</xsl:attribute>
		     <xsl:attribute name="y1">6</xsl:attribute>
		     <xsl:attribute name="x2">20</xsl:attribute>
		     <xsl:attribute name="y2">2</xsl:attribute>
	      	<xsl:attribute name="style">width:0;color:black</xsl:attribute>
			</segment>

			<segment editstyle="edit:no;resize:no;move:yes;rotate:no">
		     <xsl:attribute name="id">s5_<xsl:value-of select="generate-id(current())"/></xsl:attribute>
		     <xsl:attribute name="x1">22</xsl:attribute>
		     <xsl:attribute name="y1">18</xsl:attribute>
		     <xsl:attribute name="x2">22</xsl:attribute>
		     <xsl:attribute name="y2">2</xsl:attribute>
		     <xsl:attribute name="style">width:0;color:black</xsl:attribute>
			</segment>

			<segment editstyle="edit:no;resize:no;move:yes;rotate:no">
		     <xsl:attribute name="id">s6_<xsl:value-of select="generate-id(current())"/></xsl:attribute>
		     <xsl:attribute name="x1">22</xsl:attribute>
		     <xsl:attribute name="y1">2</xsl:attribute>
		     <xsl:attribute name="x2">34</xsl:attribute>
		     <xsl:attribute name="y2">2</xsl:attribute>
	      	<xsl:attribute name="style">width:0;color:black</xsl:attribute>
			</segment>
			
			<segment editstyle="edit:no;resize:no;move:yes;rotate:no">
		     <xsl:attribute name="id">s7_<xsl:value-of select="generate-id(current())"/></xsl:attribute>
		     <xsl:attribute name="x1">30</xsl:attribute>
		     <xsl:attribute name="y1">-2</xsl:attribute>
		     <xsl:attribute name="x2">34</xsl:attribute>
		     <xsl:attribute name="y2">2</xsl:attribute>
	      	<xsl:attribute name="style">width:0;color:black</xsl:attribute>
			</segment>

			<segment editstyle="edit:no;resize:no;move:yes;rotate:no">
		     <xsl:attribute name="id">s8_<xsl:value-of select="generate-id(current())"/></xsl:attribute>
		     <xsl:attribute name="x1">30</xsl:attribute>
		     <xsl:attribute name="y1">6</xsl:attribute>
		     <xsl:attribute name="x2">34</xsl:attribute>
		     <xsl:attribute name="y2">2</xsl:attribute>
	      	<xsl:attribute name="style">width:0;color:black</xsl:attribute>
			</segment>


			
	    	<rect editstyle="edit:no;resize:no;move:yes;rotate:no">
		     <xsl:attribute name="id">r_<xsl:value-of select="generate-id(current())"/></xsl:attribute>
		
		     <xsl:attribute name="x">2</xsl:attribute>
		     <xsl:attribute name="y">12</xsl:attribute>
		     <xsl:attribute name="width">30</xsl:attribute>
		     <xsl:attribute name="height">12</xsl:attribute>
		      
		      <xsl:attribute name="style">border-width:0;border-color:black;fill-color:yellow</xsl:attribute>
	    	</rect>

      	<text editstyle="edit:no;resize:no;move:yes;rotate:no">
       		<xsl:attribute name="id">t_<xsl:value-of select="generate-id(current())"/></xsl:attribute>
  
        	<xsl:attribute name="string"><xsl:value-of select="gene:NM(.)"/></xsl:attribute>
  
        	<xsl:attribute name="x">18</xsl:attribute>
        	<xsl:attribute name="y">28</xsl:attribute>
  
        	<xsl:attribute name="style">font-face:Arial;font-size:10;font-bold:no;font-italic:no;font-underline:no;font-color:black;alignment:center;</xsl:attribute>
      	</text>
      
		</group>
  	</xsl:template>

  	<xsl:template match="rna"> 
		<group editstyle="edit:no;resize:no;move:yes;rotate:no">
	     <xsl:attribute name="id"><xsl:value-of select="@id"/></xsl:attribute>
    	
	     <xsl:attribute name="x"><xsl:value-of select="x"/></xsl:attribute>
	     <xsl:attribute name="y"><xsl:value-of select="y"/></xsl:attribute>
	      
			<segment x1="-16" y1="-8" x2="-12" y2="-1" style="width:0;color:black" editstyle="edit:no;resize:no;move:yes;rotate:no"><xsl:attribute name="id">s0_<xsl:value-of select="generate-id(current())"/></xsl:attribute></segment>
			<segment x1="-12" y1="-1" x2="-8"  y2="-8" style="width:0;color:black" editstyle="edit:no;resize:no;move:yes;rotate:no"><xsl:attribute name="id">s1_<xsl:value-of select="generate-id(current())"/></xsl:attribute></segment>
			<segment x1="-8"  y1="-8" x2="-4"  y2="-1" style="width:0;color:black" editstyle="edit:no;resize:no;move:yes;rotate:no"><xsl:attribute name="id">s2_<xsl:value-of select="generate-id(current())"/></xsl:attribute></segment>
			<segment x1="-4"  y1="-1" x2="0"   y2="-8" style="width:0;color:black" editstyle="edit:no;resize:no;move:yes;rotate:no"><xsl:attribute name="id">s3_<xsl:value-of select="generate-id(current())"/></xsl:attribute></segment>
			<segment x1="0"   y1="-8" x2="4"   y2="-1" style="width:0;color:black" editstyle="edit:no;resize:no;move:yes;rotate:no"><xsl:attribute name="id">s4_<xsl:value-of select="generate-id(current())"/></xsl:attribute></segment>
			<segment x1="4"   y1="-1" x2="8"   y2="-8" style="width:0;color:black" editstyle="edit:no;resize:no;move:yes;rotate:no"><xsl:attribute name="id">s5_<xsl:value-of select="generate-id(current())"/></xsl:attribute></segment>
			<segment x1="8"   y1="-8" x2="12"  y2="-1" style="width:0;color:black" editstyle="edit:no;resize:no;move:yes;rotate:no"><xsl:attribute name="id">s6_<xsl:value-of select="generate-id(current())"/></xsl:attribute></segment>
			<segment x1="12"  y1="-1" x2="16"  y2="-8" style="width:0;color:black" editstyle="edit:no;resize:no;move:yes;rotate:no"><xsl:attribute name="id">s7_<xsl:value-of select="generate-id(current())"/></xsl:attribute></segment>

      	<text x="0" y="2" style="font-face:Arial;font-size:10;font-bold:no;font-italic:no;font-underline:no;font-color:black;alignment:center;" editstyle="edit:no;resize:no;move:yes;rotate:no">
       		<xsl:attribute name="id">t_<xsl:value-of select="generate-id(current())"/></xsl:attribute>
        	<xsl:attribute name="string"><xsl:value-of select="rna:NM(.)"/></xsl:attribute>
      	</text>
      
		</group>
  	</xsl:template>

  	<xsl:template match="substance"> 
		<group editstyle="edit:no;resize:no;move:yes;rotate:no">
	     <xsl:attribute name="id"><xsl:value-of select="@id"/></xsl:attribute>
    	
	     <xsl:attribute name="x"><xsl:value-of select="x"/></xsl:attribute>
	     <xsl:attribute name="y"><xsl:value-of select="y"/></xsl:attribute>
	      
	    	<rect editstyle="edit:no;resize:no;move:yes;rotate:no">
		     <xsl:attribute name="id">r_<xsl:value-of select="generate-id(current())"/></xsl:attribute>
		
		     <xsl:attribute name="x">-12</xsl:attribute>
		     <xsl:attribute name="y">-12</xsl:attribute>
		     <xsl:attribute name="width">24</xsl:attribute>
		     <xsl:attribute name="height">24</xsl:attribute>
		      
		      <xsl:attribute name="style">border-width:0;border-color:black;fill-color:slateblue</xsl:attribute>
	    	</rect>

      	<text editstyle="edit:no;resize:no;move:yes;rotate:no">
       		<xsl:attribute name="id">t_<xsl:value-of select="generate-id(current())"/></xsl:attribute>
  
        	<xsl:attribute name="string"><xsl:value-of select="object/sn"/></xsl:attribute>
  
        	<xsl:attribute name="x">0</xsl:attribute>
        	<xsl:attribute name="y">14</xsl:attribute>
  
        	<xsl:attribute name="style">font-face:Arial;font-size:10;font-bold:no;font-italic:no;font-underline:no;font-color:black;alignment:center;</xsl:attribute>
      	</text>
      
		</group>
  	</xsl:template>

	<xsl:template match="protein">
		<group editstyle="edit:no;resize:no;move:yes;rotate:no">
			<xsl:attribute name="id"><xsl:value-of select="@id"/></xsl:attribute>
			<xsl:attribute name="x"><xsl:value-of select="x"/></xsl:attribute>
			<xsl:attribute name="y"><xsl:value-of select="y"/></xsl:attribute>
			<xsl:choose>
				<xsl:when test="object/mm='monomer'">
					<ellipse editstyle="edit:no;resize:no;move:yes;rotate:no">
						<xsl:attribute name="id">i_<xsl:value-of select="generate-id(current())"/></xsl:attribute>
						<xsl:attribute name="x">0</xsl:attribute>
						<xsl:attribute name="y">0</xsl:attribute>
						<xsl:attribute name="width">32</xsl:attribute>
						<xsl:attribute name="height">32</xsl:attribute>
						<xsl:attribute name="style">border-color:black;border-width:0;fill-color:<xsl:value-of select="protein:FN(.)"/></xsl:attribute>
					</ellipse>
				</xsl:when>
				<xsl:when test="object/mm='homodimer'">
					<ellipse editstyle="edit:no;resize:no;move:yes;rotate:no">
						<xsl:attribute name="id">i_<xsl:value-of select="generate-id(current())"/></xsl:attribute>
						<xsl:attribute name="x">0</xsl:attribute>
						<xsl:attribute name="y">0</xsl:attribute>
						<xsl:attribute name="width">20</xsl:attribute>
						<xsl:attribute name="height">32</xsl:attribute>
						<xsl:attribute name="style">border-color:black;border-width:0;fill-color:<xsl:value-of select="protein:FN(.)"/></xsl:attribute>
					</ellipse>
					<ellipse editstyle="edit:no;resize:no;move:yes;rotate:no">
						<xsl:attribute name="id">j_<xsl:value-of select="generate-id(current())"/></xsl:attribute>
						<xsl:attribute name="x">12</xsl:attribute>
						<xsl:attribute name="y">0</xsl:attribute>
						<xsl:attribute name="width">20</xsl:attribute>
						<xsl:attribute name="height">32</xsl:attribute>
						<xsl:attribute name="style">border-color:black;border-width:0;fill-color:<xsl:value-of select="protein:FN(.)"/></xsl:attribute>
					</ellipse>
				</xsl:when>
				<xsl:when test="object/mm='heterodimer'">
					<ellipse editstyle="edit:no;resize:no;move:yes;rotate:no">
						<xsl:attribute name="id">i_<xsl:value-of select="generate-id(current())"/></xsl:attribute>
						<xsl:attribute name="x">0</xsl:attribute>
						<xsl:attribute name="y">0</xsl:attribute>
						<xsl:attribute name="width">20</xsl:attribute>
						<xsl:attribute name="height">20</xsl:attribute>
						<xsl:attribute name="style">border-color:black;border-width:0;fill-color:<xsl:value-of select="protein:FN(.)"/></xsl:attribute>
					</ellipse>
					<ellipse editstyle="edit:no;resize:no;move:yes;rotate:no">
						<xsl:attribute name="id">j_<xsl:value-of select="generate-id(current())"/></xsl:attribute>
						<xsl:attribute name="x">12</xsl:attribute>
						<xsl:attribute name="y">0</xsl:attribute>
						<xsl:attribute name="width">20</xsl:attribute>
						<xsl:attribute name="height">32</xsl:attribute>
						<xsl:attribute name="style">border-color:black;border-width:0;fill-color:<xsl:value-of select="protein:FN(.)"/></xsl:attribute>
					</ellipse>
				</xsl:when>
				<xsl:when test="object/mm='multimer'">
					<ellipse editstyle="edit:no;resize:no;move:yes;rotate:no">
						<xsl:attribute name="id">i_<xsl:value-of select="generate-id(current())"/></xsl:attribute>
						<xsl:attribute name="x">5</xsl:attribute>
						<xsl:attribute name="y">0</xsl:attribute>
						<xsl:attribute name="width">17</xsl:attribute>
						<xsl:attribute name="height">17</xsl:attribute>
						<xsl:attribute name="style">border-color:black;border-width:0;fill-color:<xsl:value-of select="protein:FN(.)"/></xsl:attribute>
					</ellipse>
					<ellipse editstyle="edit:no;resize:no;move:yes;rotate:no">
						<xsl:attribute name="id">j_<xsl:value-of select="generate-id(current())"/></xsl:attribute>
						<xsl:attribute name="x">-4</xsl:attribute>
						<xsl:attribute name="y">14</xsl:attribute>
						<xsl:attribute name="width">17</xsl:attribute>
						<xsl:attribute name="height">17</xsl:attribute>
						<xsl:attribute name="style">border-color:black;border-width:0;fill-color:<xsl:value-of select="protein:FN(.)"/></xsl:attribute>
					</ellipse>
					<ellipse editstyle="edit:no;resize:no;move:yes;rotate:no">
						<xsl:attribute name="id">k_<xsl:value-of select="generate-id(current())"/></xsl:attribute>
						<xsl:attribute name="x">14</xsl:attribute>
						<xsl:attribute name="y">14</xsl:attribute>
						<xsl:attribute name="width">17</xsl:attribute>
						<xsl:attribute name="height">17</xsl:attribute>
						<xsl:attribute name="style">border-color:black;border-width:0;fill-color:<xsl:value-of select="protein:FN(.)"/></xsl:attribute>
					</ellipse>
				</xsl:when>
				<xsl:otherwise>
					<ellipse editstyle="edit:no;resize:no;move:yes;rotate:no">
						<xsl:attribute name="id">i_<xsl:value-of select="generate-id(current())"/></xsl:attribute>
						<xsl:attribute name="x">0</xsl:attribute>
						<xsl:attribute name="y">0</xsl:attribute>
						<xsl:attribute name="width">32</xsl:attribute>
						<xsl:attribute name="height">32</xsl:attribute>
						<xsl:attribute name="style">border-color:black;border-width:0;fill-color:<xsl:value-of select="protein:FN(.)"/></xsl:attribute>
					</ellipse>
				</xsl:otherwise>
			</xsl:choose>
			<!--      <xsl:choose> 
        <xsl:when test="object/md='phosphorylated'">
 -->
			<xsl:if test="object/md='phosphorylated'">
				<ellipse editstyle="edit:no;resize:no;move:yes;rotate:no">
					<xsl:attribute name="id">I_<xsl:value-of select="generate-id(current())"/></xsl:attribute>
					<xsl:attribute name="x">24</xsl:attribute>
					<xsl:attribute name="y">2</xsl:attribute>
					<xsl:attribute name="width">9</xsl:attribute>
					<xsl:attribute name="height">9</xsl:attribute>
					<xsl:attribute name="style">border-color:white;border-width:0;fill-color:red</xsl:attribute>
				</ellipse>
				<!--  </xsl:when> -->
			</xsl:if>
			<!-- hyperphosphorylated
        -->
			<!--        <xsl:when test="object/md='hyperphosphorylated'">
    -->
			<!-- first-->
			<xsl:if test="object/md='hyperphosphorylated'">
				<ellipse editstyle="edit:no;resize:no;move:yes;rotate:no">
					<xsl:attribute name="id">L_<xsl:value-of select="generate-id(current())"/></xsl:attribute>
					<xsl:attribute name="x">24</xsl:attribute>
					<xsl:attribute name="y">0</xsl:attribute>
					<xsl:attribute name="width">8</xsl:attribute>
					<xsl:attribute name="height">8</xsl:attribute>
					<xsl:attribute name="style">border-color:white;border-width:1;fill-color:red</xsl:attribute>
				</ellipse>
				<!-- second -->
				<ellipse editstyle="edit:no;resize:no;move:yes;rotate:no">
					<xsl:attribute name="id">M_<xsl:value-of select="generate-id(current())"/></xsl:attribute>
					<xsl:attribute name="x">28</xsl:attribute>
					<xsl:attribute name="y">6</xsl:attribute>
					<xsl:attribute name="width">8</xsl:attribute>
					<xsl:attribute name="height">8</xsl:attribute>
					<xsl:attribute name="style">border-color:white;border-width:1;fill-color:red</xsl:attribute>
				</ellipse>
				<!--      </xsl:when> -->
			</xsl:if>
			<!-- hypophosphorylated
        -->
			<!--      <xsl:when test="object/md='hypophosphorylated'"> -->
			<!-- first-->
			<xsl:if test="object/md='hypophosphorylated'">
				<ellipse editstyle="edit:no;resize:no;move:yes;rotate:no">
					<xsl:attribute name="id">hypo_<xsl:value-of select="generate-id(current())"/></xsl:attribute>
					<xsl:attribute name="x">24</xsl:attribute>
					<xsl:attribute name="y">0</xsl:attribute>
					<xsl:attribute name="width">4</xsl:attribute>
					<xsl:attribute name="height">4</xsl:attribute>
					<xsl:attribute name="style">border-color:deeppink;border-width:1;fill-color:red</xsl:attribute>
				</ellipse>
				<!-- second -->
				<!--        	<ellipse editstyle="edit:no;resize:no;move:yes;rotate:no">
            <xsl:attribute name="id">hipo_<xsl:value-of select="generate-id(current())"/></xsl:attribute>
            
            <xsl:attribute name="x">28</xsl:attribute>
            <xsl:attribute name="y">6</xsl:attribute>
            <xsl:attribute name="width">4</xsl:attribute>
            <xsl:attribute name="height">4</xsl:attribute>
            
            <xsl:attribute name="style">border-color:deeppink;border-width:1;fill-color:red</xsl:attribute>
        	
	</ellipse>
 -->
				<!--        </xsl:when> -->
			</xsl:if>
			<!-- acetylated -->
			<!--  <xsl:when test="object/md='acetylated'"> -->
			<xsl:if test="object/md='acetylated'">
				<ellipse editstyle="edit:no;resize:no;move:yes;rotate:no">
					<xsl:attribute name="id">AC_<xsl:value-of select="generate-id(current())"/></xsl:attribute>
					<xsl:attribute name="x">24</xsl:attribute>
					<xsl:attribute name="y">24</xsl:attribute>
					<xsl:attribute name="width">9</xsl:attribute>
					<xsl:attribute name="height">9</xsl:attribute>
					<xsl:attribute name="style">border-color:pink;border-width:2;fill-color:yellow</xsl:attribute>
				</ellipse>
				<!--    </xsl:when> -->
			</xsl:if>
			<!-- hyperacetylated -->
			<!--      <xsl:when test="object/md='hyperacetylated'"> -->
			<!-- first-->
			<xsl:if test="object/md='hyperacetylated'">
				<ellipse editstyle="edit:no;resize:no;move:yes;rotate:no">
					<xsl:attribute name="id">AC1_<xsl:value-of select="generate-id(current())"/></xsl:attribute>
					<xsl:attribute name="x">29</xsl:attribute>
					<xsl:attribute name="y">19</xsl:attribute>
					<xsl:attribute name="width">8</xsl:attribute>
					<xsl:attribute name="height">8</xsl:attribute>
					<xsl:attribute name="style">border-color:pink;border-width:1;fill-color:yellow</xsl:attribute>
				</ellipse>
				<!-- second -->
				<ellipse editstyle="edit:no;resize:no;move:yes;rotate:no">
					<xsl:attribute name="id">AC2_<xsl:value-of select="generate-id(current())"/></xsl:attribute>
					<xsl:attribute name="x">28</xsl:attribute>
					<xsl:attribute name="y">25</xsl:attribute>
					<xsl:attribute name="width">8</xsl:attribute>
					<xsl:attribute name="height">8</xsl:attribute>
					<xsl:attribute name="style">border-color:pink;border-width:1;fill-color:yellow</xsl:attribute>
				</ellipse>
				<!--  </xsl:when> -->
			</xsl:if>
			<!-- hypoacetylated
        -->
			<!--   <xsl:when test="object/md='hypoacetylated'"> -->
			<!-- first-->
			<xsl:if test="object/md='hypoacetylated'">
				<ellipse editstyle="edit:no;resize:no;move:yes;rotate:no">
					<xsl:attribute name="id">HPOAC1_<xsl:value-of select="generate-id(current())"/></xsl:attribute>
					<xsl:attribute name="x">29</xsl:attribute>
					<xsl:attribute name="y">20</xsl:attribute>
					<xsl:attribute name="width">5</xsl:attribute>
					<xsl:attribute name="height">5</xsl:attribute>
					<xsl:attribute name="style">border-color:deeppink;border-width:1;fill-color:yellow</xsl:attribute>
				</ellipse>
				<!-- second -->
				<!--        	<ellipse editstyle="edit:no;resize:no;move:yes;rotate:no">
            <xsl:attribute name="id">HPOAC2_<xsl:value-of select="generate-id(current())"/></xsl:attribute>
            
            <xsl:attribute name="x">28</xsl:attribute>
            <xsl:attribute name="y">25</xsl:attribute>
            <xsl:attribute name="width">5</xsl:attribute>
            <xsl:attribute name="height">5</xsl:attribute>
            
            <xsl:attribute name="style">border-color:deeppink;border-width:1;fill-color:yellow</xsl:attribute>
        	
 		</ellipse>
 -->
				<!--        </xsl:when> -->
			</xsl:if>
			<!-- glycosylated -->
			<!--        <xsl:when test="object/md='glycosylated'"> -->
			<xsl:if test="object/md='glycosylated'">
				<ellipse editstyle="edit:no;resize:no;move:yes;rotate:no">
					<xsl:attribute name="id">GL_<xsl:value-of select="generate-id(current())"/></xsl:attribute>
					<xsl:attribute name="x">0</xsl:attribute>
					<xsl:attribute name="y">4</xsl:attribute>
					<xsl:attribute name="width">9</xsl:attribute>
					<xsl:attribute name="height">9</xsl:attribute>
					<xsl:attribute name="style">border-color:pink;border-width:1;fill-color:blue</xsl:attribute>
				</ellipse>
				<!--        </xsl:when> -->
			</xsl:if>
			<!-- hyperacetylated
        -->
			<!-- <xsl:when test="object/md='hyperglycosylated'"> -->
			<!-- first-->
			<xsl:if test="object/md='hyperglycosylated'">
				<ellipse editstyle="edit:no;resize:no;move:yes;rotate:no">
					<xsl:attribute name="id">gl1_<xsl:value-of select="generate-id(current())"/></xsl:attribute>
					<xsl:attribute name="x">1</xsl:attribute>
					<xsl:attribute name="y">1</xsl:attribute>
					<xsl:attribute name="width">8</xsl:attribute>
					<xsl:attribute name="height">8</xsl:attribute>
					<xsl:attribute name="style">border-color:pink;border-width:1;fill-color:blue</xsl:attribute>
				</ellipse>
				<!-- second -->
				<ellipse editstyle="edit:no;resize:no;move:yes;rotate:no">
					<xsl:attribute name="id">gl2_<xsl:value-of select="generate-id(current())"/></xsl:attribute>
					<xsl:attribute name="x">0</xsl:attribute>
					<xsl:attribute name="y">7</xsl:attribute>
					<xsl:attribute name="width">8</xsl:attribute>
					<xsl:attribute name="height">8</xsl:attribute>
					<xsl:attribute name="style">border-color:pink;border-width:1;fill-color:blue</xsl:attribute>
				</ellipse>
				<!--        </xsl:when> -->
			</xsl:if>
			<!-- hypoglycosylated
        -->
			<!-- <xsl:when test="object/md='hypoglycosylated'"> -->
			<!-- first-->
			<xsl:if test="object/md='hypoglycosylated'">
				<ellipse editstyle="edit:no;resize:no;move:yes;rotate:no">
					<xsl:attribute name="id">HPOGL1_<xsl:value-of select="generate-id(current())"/></xsl:attribute>
					<xsl:attribute name="x">1</xsl:attribute>
					<xsl:attribute name="y">1</xsl:attribute>
					<xsl:attribute name="width">5</xsl:attribute>
					<xsl:attribute name="height">5</xsl:attribute>
					<xsl:attribute name="style">border-color:deeppink;border-width:1;fill-color:blue</xsl:attribute>
				</ellipse>
				<!-- second -->
				<!--        	<ellipse editstyle="edit:no;resize:no;move:yes;rotate:no">
            <xsl:attribute name="id">HPGL2_<xsl:value-of select="generate-id(current())"/></xsl:attribute>
            
            <xsl:attribute name="x">0</xsl:attribute>
            <xsl:attribute name="y">6</xsl:attribute>
            <xsl:attribute name="width">5</xsl:attribute>
            <xsl:attribute name="height">5</xsl:attribute>
            
            <xsl:attribute name="style">border-color:deeppink;border-width:1;fill-color:blue</xsl:attribute>
        	
 		</ellipse>
 -->
				<!--        </xsl:when> -->
			</xsl:if>
			<!--   </xsl:choose>
   -->
			<text editstyle="edit:no;resize:no;move:yes;rotate:no">
				<xsl:attribute name="id">t_<xsl:value-of select="generate-id(current())"/></xsl:attribute>
				<xsl:attribute name="string"><xsl:value-of select="protein:NM(.)"/></xsl:attribute>
				<xsl:attribute name="x">16</xsl:attribute>
				<xsl:attribute name="y">34</xsl:attribute>
				<xsl:attribute name="style">font-face:Arial;font-size:10;font-bold:no;font-italic:no;font-underline:no;font-color:black;alignment:center;</xsl:attribute>
			</text>
		</group>
	</xsl:template>

</xsl:stylesheet>

