<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet 	xmlns:xsl="http://www.w3.org/1999/XSL/Transform" 
                	xmlns:msxsl="urn:schemas-microsoft-com:xslt" 
					 	xmlns:compartment="http://wwwmgs.bionet.nsc.ru/compartmentnamespace"
						version="1.0">

	<xsl:template match="/compartment">
	    <compartment>
		<xsl:apply-templates select="object"/>

	        <xsl:if test="x"> 
		
		<nm>
		    <xsl:attribute name="invalid">
			<xsl:value-of select="boolean(string-length(nm/text()) = 0)"/>
		    </xsl:attribute>
		</nm>

		<color>
		    <xsl:attribute name="invalid">
			<xsl:value-of select="boolean(string-length(color/text()) = 0)"/>
		    </xsl:attribute>
		</color>

		<bordercolor>
		    <xsl:attribute name="invalid">
			<xsl:value-of select="boolean(string-length(bordercolor/text()) = 0)"/>
		    </xsl:attribute>
		</bordercolor>

		<xsl:if test="nm = 'rounded_rect'">
		    <r>
			<xsl:attribute name="invalid">
			    <xsl:value-of select="boolean(not(boolean(r)) or boolean(number(r/text()) != number(r/text())))"/>
			</xsl:attribute>
		    </r>
		</xsl:if> 

		</xsl:if>
	    </compartment>
	</xsl:template>
	

    <xsl:template match="object">


	    <xsl:for-each select="local_comment_item">
        	<local_comment_item>
	            <xsl:attribute name="invalid">
		        <xsl:choose>
		            <xsl:when test="boolean(ref)">
				<xsl:value-of select="boolean(boolean(string-length(CC/text()) = 0) or not(boolean(ref/@id)))"/>
		            </xsl:when>
		            <xsl:otherwise>
		                <xsl:value-of select="boolean(string-length(CC/text()) = 0)"/>
		            </xsl:otherwise>
		        </xsl:choose>
		    </xsl:attribute>
		</local_comment_item>
	    </xsl:for-each>
	
	        <ac>
		    <xsl:attribute name="invalid">
			<xsl:value-of select="boolean(string-length(ac/text()) = 0)"/>
		    </xsl:attribute>
		</ac>

	    <xsl:for-each select="ref">
		<ref>
		    <xsl:attribute name="invalid">
		        <xsl:value-of select="not(boolean(@id))"/>
		    </xsl:attribute>
		</ref>
	    </xsl:for-each>	

	    <xsl:for-each select="total_comment_item">
        	<total_comment_item>
	            <xsl:attribute name="invalid">
		        <xsl:choose>
		            <xsl:when test="boolean(ref)">
				<xsl:value-of select="boolean(boolean(string-length(cc/text()) = 0) or not(boolean(ref/@id)))"/>
		            </xsl:when>
		            <xsl:otherwise>
		                <xsl:value-of select="boolean(string-length(cc/text()) = 0)"/>
		            </xsl:otherwise>
		        </xsl:choose>
		    </xsl:attribute>
		</total_comment_item>
	    </xsl:for-each>

	
    </xsl:template>

</xsl:stylesheet>
