<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet 	xmlns:xsl="http://www.w3.org/1999/XSL/Transform" 
                	xmlns:msxsl="urn:schemas-microsoft-com:xslt" 
						version="1.0">

	<xsl:template match="/liter">
		<liter>
			<xsl:apply-templates select="object"/>
		</liter>
	</xsl:template>
	
    <xsl:template match="object">
	
	<title>
	    <xsl:attribute name="invalid">
		<xsl:value-of select="boolean(string-length(title/text()) = 0)"/>
	    </xsl:attribute>
	</title>

	<authors>
	    <xsl:attribute name="invalid">
		<xsl:value-of select="boolean(string-length(authors/text()) = 0)"/>
	    </xsl:attribute>
	</authors>

	<journal>
	    <xsl:attribute name="invalid">
                <xsl:value-of select="not(boolean(journal/@id))"/>
	    </xsl:attribute>
	</journal>

	<volume>
	    <xsl:attribute name="invalid">
		<xsl:value-of select="boolean(string-length(volume/text()) = 0)"/>
	    </xsl:attribute>
	</volume>

	<year>
	    <xsl:attribute name="invalid">
		<xsl:value-of select="boolean(number(year/text()) != number(year/text()) or (not(starts-with(year/text(),'19')) and not(starts-with(year/text(),'20'))))"/>
	    </xsl:attribute>
	</year>

	<xsl:if test="medline">
	<medline>
	    <xsl:attribute name="invalid">
		<xsl:value-of select="boolean(number(medline/text()) != number(medline/text()) or string-length(medline/text()) &lt; 6)"/>
	    </xsl:attribute>
	</medline>
	</xsl:if>

<!--	<xsl:if test="flybase">
	<flybase>
	    <xsl:attribute name="invalid">
		<xsl:value-of select="boolean(not(starts-with(flybase/text(),'FBrf')) or string-length(flybase/text()) != 11 or number(substring(flybase/text(),4)) != number(substring(flybase/text(),4)))"/>
	    </xsl:attribute>
	</flybase>
	</xsl:if>-->

<!--	<xsl:if test="pubmed"> -->
	<pubmed>
	    <xsl:attribute name="invalid">
		<xsl:value-of select="boolean(number(pubmed/text()) != number(pubmed/text()) or string-length(pubmed/text()) &lt; 6)"/>
	    </xsl:attribute>
	</pubmed>
<!--	</xsl:if> -->

	<pages>
	    <xsl:attribute name="invalid">
		<xsl:value-of select="boolean(number(pages/first/text()) != number(pages/first/text()))"/>
	    </xsl:attribute>
	    
	    
	    <xsl:if test="pages/last">
		<xsl:attribute name="invalid">
		    <xsl:value-of select="boolean(number(pages/last/text()) != number(pages/last/text())) or boolean(number(pages/last/text()) &lt; number(pages/first/text()))"/>
		</xsl:attribute>
	    </xsl:if>
	    
	</pages>

    </xsl:template>

</xsl:stylesheet>