<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	<xsl:output method="xml" version="1.0" encoding="UTF-8" indent="yes"/>

	<xsl:template match="/">
		<xsl:apply-templates select="diagram"/>
	</xsl:template>

	<xsl:template match="diagram">
		<xsl:copy>
			<xsl:attribute name="name"><xsl:value-of select="name"/></xsl:attribute>
			<xsl:apply-templates/>
		</xsl:copy>
	</xsl:template>

	<!--выбираем из схемы все объекты -->
	<xsl:template match="objects">
			<xsl:apply-templates/>
	</xsl:template>

	<xsl:template match="compartment">
		<xsl:apply-templates/>
	</xsl:template>


	<xsl:template match="protein">
		<xsl:element name="object">
			<xsl:attribute name="type">protein</xsl:attribute>
			<xsl:attribute name="id"><xsl:value-of select="@id"/></xsl:attribute>
			<xsl:attribute name="name"><xsl:value-of select="./object/sn"/></xsl:attribute>
		</xsl:element>
	</xsl:template>

	<xsl:template match="gene">
		<xsl:element name="object">
			<xsl:attribute name="type">gene</xsl:attribute>
			<xsl:attribute name="id"><xsl:value-of select="@id"/></xsl:attribute>
			<xsl:attribute name="name"><xsl:value-of select="./object/sn"/></xsl:attribute>
		</xsl:element>
	</xsl:template>


	<xsl:template match="process">
		<xsl:element name="object">
			<xsl:attribute name="type">process</xsl:attribute>
			<xsl:attribute name="id"><xsl:value-of select="@id"/></xsl:attribute>
			<xsl:attribute name="name"><xsl:value-of select="./object/sn"/></xsl:attribute>
		</xsl:element>
	</xsl:template>


	<xsl:template match="rna">
		<xsl:element name="object">
			<xsl:attribute name="type">rna</xsl:attribute>
			<xsl:attribute name="id"><xsl:value-of select="@id"/></xsl:attribute>
			<xsl:attribute name="name"><xsl:value-of select="./object/sn"/></xsl:attribute>
		</xsl:element>
	</xsl:template>


	<xsl:template match="substance">
		<xsl:element name="object">
			<xsl:attribute name="type">substance</xsl:attribute>
			<xsl:attribute name="id"><xsl:value-of select="@id"/></xsl:attribute>
			<xsl:attribute name="name"><xsl:value-of select="./object/sn"/></xsl:attribute>
		</xsl:element>
	</xsl:template>


	<xsl:template match="operon">
		<xsl:element name="object">
			<xsl:attribute name="type">operon</xsl:attribute>
			<xsl:attribute name="id"><xsl:value-of select="@id"/></xsl:attribute>
			<xsl:attribute name="name"><xsl:value-of select="./object/sn"/></xsl:attribute>
		</xsl:element>
	</xsl:template>


	<!--  выбираем все реакции -->
	<xsl:template match="reaction">
			<xsl:element name="reaction">
				<xsl:attribute name="type"><xsl:value-of select="./object/nm"/></xsl:attribute>
				<xsl:attribute name="id"><xsl:value-of select="@id"/></xsl:attribute>
				<xsl:copy-of select="object/at"/>
			</xsl:element>
	</xsl:template>
	
	
	
	<xsl:template match="links">
		<xsl:copy>
			<xsl:apply-templates select="link"/>
		</xsl:copy>
	</xsl:template>

	<xsl:template match="link">
		<xsl:copy-of select="."/>
	</xsl:template>
	
	<!-- Отсекаем все узлы на которые нет шаблонов-->

<xsl:template match="*">
</xsl:template>

</xsl:stylesheet>
