<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" >
    <xsl:template match="/">
	    <links>
	    	<xsl:apply-templates select="rowset/row"/>
	    </links>
    </xsl:template>
								    
    <xsl:template match="row">
	<link>
	    <xsl:copy-of select="id"/>
	    <name><xsl:value-of select="name"/></name>
	    <nm><xsl:value-of select="name"/></nm>
	    <xsl:copy-of select="sn"/>
	    <xsl:if test="os">
	    <os>
                 <xsl:attribute name="id"><xsl:value-of select="os"/></xsl:attribute>
	    </os>	    
	    </xsl:if>
	    <xsl:copy-of select="fn"/>
	    <xsl:copy-of select="mm"/>
	    <xsl:copy-of select="md"/>
	    <xsl:apply-templates select="genelist/genelist_item"/>	   
	    <xsl:apply-templates select="repressorlist/repressorlist_item"/>
	    <xsl:apply-templates select="dtlist/dtlist_item"/>
	    <xsl:apply-templates select="sylist/sylist_item"/>
	    <xsl:apply-templates select="cclist/cclist_item"/>
<!--	    <xsl:apply-templates select="dbreflist/dbreflist_item"/>	    
	    <xsl:apply-templates select="reflist/reflist_item"/>
	    <xsl:apply-templates select="celllist/celllist_item"/> -->
	</link> 
    </xsl:template>
    
    <xsl:template match="dtlist_item">
	<xsl:copy-of select="dt"/>
    </xsl:template>
    
    <xsl:template match="sylist_item">
        <sy><xsl:value-of select="name"/></sy>
    </xsl:template>
    
    <xsl:template match="cclist_item">
        <xsl:copy-of select="cc"/>
    </xsl:template>

    <xsl:template match="repressorlist_item">
        <xsl:copy-of select="repressor"/>
    </xsl:template>


    <xsl:template match="dbreflist_item">
        <dbref>
	    <xsl:copy-of select="ac"/>
	    <xsl:copy-of select="data"/>
	    <xsl:copy-of select="name"/>
	</dbref>
    </xsl:template>
    
    <xsl:template match="celllist_item">
        <cell>
	    <xsl:attribute name="id"><xsl:value-of select="table_id"/></xsl:attribute>
<!--	    <species><xsl:value-of select="os"/></species>
	    <cell_id><xsl:value-of select="id"/></cell_id>-->
	</cell>
    </xsl:template>
    
    <xsl:template match="reflist_item">
	<ref>
            <xsl:attribute name="id"><xsl:value-of select="ref"/></xsl:attribute>
	</ref>
    </xsl:template>
    
    <xsl:template match="genelist_item">
        <gn>
	    <xsl:attribute name="id"><xsl:value-of select="id"/></xsl:attribute>
	</gn>
    </xsl:template>
    
</xsl:stylesheet>