<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet 	xmlns:xsl="http://www.w3.org/1999/XSL/Transform" 
                	xmlns:msxsl="urn:schemas-microsoft-com:xslt" 
					 	xmlns:compartment="http://wwwmgs.bionet.nsc.ru/compartmentnamespace"
						version="1.0">

	<xsl:template match="/gene">
		<gene>
			<xsl:apply-templates select="object"/>
			
		</gene>
	</xsl:template>
	
	
    <xsl:template match="object">
	    <xsl:for-each select="local_comment_item">
        	<local_comment_item>
	    	    <xsl:attribute name="invalid">
	        	<xsl:choose>
	            	    <xsl:when test="boolean(ref)">
	            		<xsl:value-of select="boolean(boolean(string-length(CC/text()) = 0) or not(boolean(ref/@id)))"/>
		    	    </xsl:when>
			    <xsl:otherwise>
				<xsl:value-of select="boolean(string-length(CC/text()) = 0)"/>
			    </xsl:otherwise>
			</xsl:choose>
	    	    </xsl:attribute>
		</local_comment_item>
	    </xsl:for-each>
	
	<nm>
	    <xsl:attribute name="invalid">
		<xsl:value-of select="boolean(string-length(nm/text()) = 0)"/>
	    </xsl:attribute>
	</nm>

	<sn>
	    <xsl:attribute name="invalid">
		<xsl:value-of select="boolean(string-length(sn/text()) = 0)"/>
	    </xsl:attribute>
	</sn>

	<xsl:for-each select="dbref">
	<dbref>
	    <xsl:attribute name="invalid">
		<xsl:value-of select="boolean(string-length(name/text()) = 0) or boolean(string-length(ac/text()) = 0)"/>
	    </xsl:attribute>

	    <xsl:if test="id">
                <xsl:attribute name="invalid">
	            <xsl:value-of select="boolean(string-length(id/text()) = 0)"/>
	        </xsl:attribute>
	    </xsl:if>	    
	</dbref>
	</xsl:for-each>

	<xsl:choose>
            <xsl:when test="boolean(ref)">
	        <xsl:for-each select="ref">
	            <ref>
	                <xsl:attribute name="invalid">
	                    <xsl:value-of select="not(boolean(@id))"/>
	                </xsl:attribute>
	            </ref>
	        </xsl:for-each>
	    </xsl:when>
	    <xsl:otherwise><ref invalid="true"/></xsl:otherwise>
	</xsl:choose>	

	<xsl:for-each select="sy">	
	    <sy>
		<xsl:attribute name="invalid">
		    <xsl:value-of select="boolean(string-length(./text()) = 0) or boolean(./text() = ../sn/text())  or boolean(./text() = ../nm/text())"/>
		</xsl:attribute>		
	    </sy>
	</xsl:for-each>

	<xsl:if test="./BN">
	    <BN>
		<xsl:attribute name="invalid">
		    <xsl:value-of select="boolean(not(starts-with(BN/text(),'b')) or string-length(BN/text()) != 5 or number(substring(BN/text(),2)) != number(substring(BN/text(),2)))"/>
		</xsl:attribute>		
	    </BN>
	</xsl:if>
	<xsl:for-each select="total_comment_item">
            <total_comment_item>
	        <xsl:attribute name="invalid">
	            <xsl:choose>
	                <xsl:when test="boolean(ref)">
	            	    <xsl:value-of select="boolean(boolean(string-length(cc/text()) = 0) or not(boolean(ref/@id)))"/>
		        </xsl:when>
			<xsl:otherwise>
			    <xsl:value-of select="boolean(string-length(cc/text()) = 0)"/>
			</xsl:otherwise>
		    </xsl:choose>
	        </xsl:attribute>
	    </total_comment_item>
	</xsl:for-each>

    </xsl:template>

</xsl:stylesheet>
